/********************************************************
 Audio Tools, a module and set of tools for manipulating audio data
 Copyright (C) 2007-2015  Brian Langenberger

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
*******************************************************/

{
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 0},
    {1, 1, 0x0, 0},
    {0, 0, 0x2, 0},
    {0, 0, 0x3, 0},
    {0, 0, 0x0, 1},
    {1, 2, 0x0, 0},
    {0, 0, 0x4, 0},
    {0, 0, 0x5, 0},
    {0, 0, 0x6, 0},
    {0, 0, 0x7, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x0, 2},
    {1, 3, 0x0, 0},
    {0, 0, 0x8, 0},
    {0, 0, 0x9, 0},
    {0, 0, 0xA, 0},
    {0, 0, 0xB, 0},
    {0, 0, 0xC, 0},
    {0, 0, 0xD, 0},
    {0, 0, 0xE, 0},
    {0, 0, 0xF, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x0, 3},
    {1, 4, 0x0, 0},
    {0, 0, 0x10, 0},
    {0, 0, 0x11, 0},
    {0, 0, 0x12, 0},
    {0, 0, 0x13, 0},
    {0, 0, 0x14, 0},
    {0, 0, 0x15, 0},
    {0, 0, 0x16, 0},
    {0, 0, 0x17, 0},
    {0, 0, 0x18, 0},
    {0, 0, 0x19, 0},
    {0, 0, 0x1A, 0},
    {0, 0, 0x1B, 0},
    {0, 0, 0x1C, 0},
    {0, 0, 0x1D, 0},
    {0, 0, 0x1E, 0},
    {0, 0, 0x1F, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x0, 4},
    {1, 5, 0x0, 0},
    {0, 0, 0x20, 0},
    {0, 0, 0x21, 0},
    {0, 0, 0x22, 0},
    {0, 0, 0x23, 0},
    {0, 0, 0x24, 0},
    {0, 0, 0x25, 0},
    {0, 0, 0x26, 0},
    {0, 0, 0x27, 0},
    {0, 0, 0x28, 0},
    {0, 0, 0x29, 0},
    {0, 0, 0x2A, 0},
    {0, 0, 0x2B, 0},
    {0, 0, 0x2C, 0},
    {0, 0, 0x2D, 0},
    {0, 0, 0x2E, 0},
    {0, 0, 0x2F, 0},
    {0, 0, 0x30, 0},
    {0, 0, 0x31, 0},
    {0, 0, 0x32, 0},
    {0, 0, 0x33, 0},
    {0, 0, 0x34, 0},
    {0, 0, 0x35, 0},
    {0, 0, 0x36, 0},
    {0, 0, 0x37, 0},
    {0, 0, 0x38, 0},
    {0, 0, 0x39, 0},
    {0, 0, 0x3A, 0},
    {0, 0, 0x3B, 0},
    {0, 0, 0x3C, 0},
    {0, 0, 0x3D, 0},
    {0, 0, 0x3E, 0},
    {0, 0, 0x3F, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x40, 0},
    {0, 0, 0x41, 0},
    {0, 0, 0x42, 0},
    {0, 0, 0x43, 0},
    {0, 0, 0x44, 0},
    {0, 0, 0x45, 0},
    {0, 0, 0x46, 0},
    {0, 0, 0x47, 0},
    {0, 0, 0x48, 0},
    {0, 0, 0x49, 0},
    {0, 0, 0x4A, 0},
    {0, 0, 0x4B, 0},
    {0, 0, 0x4C, 0},
    {0, 0, 0x4D, 0},
    {0, 0, 0x4E, 0},
    {0, 0, 0x4F, 0},
    {0, 0, 0x50, 0},
    {0, 0, 0x51, 0},
    {0, 0, 0x52, 0},
    {0, 0, 0x53, 0},
    {0, 0, 0x54, 0},
    {0, 0, 0x55, 0},
    {0, 0, 0x56, 0},
    {0, 0, 0x57, 0},
    {0, 0, 0x58, 0},
    {0, 0, 0x59, 0},
    {0, 0, 0x5A, 0},
    {0, 0, 0x5B, 0},
    {0, 0, 0x5C, 0},
    {0, 0, 0x5D, 0},
    {0, 0, 0x5E, 0},
    {0, 0, 0x5F, 0},
    {0, 0, 0x60, 0},
    {0, 0, 0x61, 0},
    {0, 0, 0x62, 0},
    {0, 0, 0x63, 0},
    {0, 0, 0x64, 0},
    {0, 0, 0x65, 0},
    {0, 0, 0x66, 0},
    {0, 0, 0x67, 0},
    {0, 0, 0x68, 0},
    {0, 0, 0x69, 0},
    {0, 0, 0x6A, 0},
    {0, 0, 0x6B, 0},
    {0, 0, 0x6C, 0},
    {0, 0, 0x6D, 0},
    {0, 0, 0x6E, 0},
    {0, 0, 0x6F, 0},
    {0, 0, 0x70, 0},
    {0, 0, 0x71, 0},
    {0, 0, 0x72, 0},
    {0, 0, 0x73, 0},
    {0, 0, 0x74, 0},
    {0, 0, 0x75, 0},
    {0, 0, 0x76, 0},
    {0, 0, 0x77, 0},
    {0, 0, 0x78, 0},
    {0, 0, 0x79, 0},
    {0, 0, 0x7A, 0},
    {0, 0, 0x7B, 0},
    {0, 0, 0x7C, 0},
    {0, 0, 0x7D, 0},
    {0, 0, 0x7E, 0},
    {0, 0, 0x7F, 0},
    {0, 0, 0x20, 1},
    {0, 0, 0x21, 1},
    {0, 0, 0x22, 1},
    {0, 0, 0x23, 1},
    {0, 0, 0x24, 1},
    {0, 0, 0x25, 1},
    {0, 0, 0x26, 1},
    {0, 0, 0x27, 1},
    {0, 0, 0x28, 1},
    {0, 0, 0x29, 1},
    {0, 0, 0x2A, 1},
    {0, 0, 0x2B, 1},
    {0, 0, 0x2C, 1},
    {0, 0, 0x2D, 1},
    {0, 0, 0x2E, 1},
    {0, 0, 0x2F, 1},
    {0, 0, 0x30, 1},
    {0, 0, 0x31, 1},
    {0, 0, 0x32, 1},
    {0, 0, 0x33, 1},
    {0, 0, 0x34, 1},
    {0, 0, 0x35, 1},
    {0, 0, 0x36, 1},
    {0, 0, 0x37, 1},
    {0, 0, 0x38, 1},
    {0, 0, 0x39, 1},
    {0, 0, 0x3A, 1},
    {0, 0, 0x3B, 1},
    {0, 0, 0x3C, 1},
    {0, 0, 0x3D, 1},
    {0, 0, 0x3E, 1},
    {0, 0, 0x3F, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x80, 0},
    {0, 0, 0x81, 0},
    {0, 0, 0x82, 0},
    {0, 0, 0x83, 0},
    {0, 0, 0x84, 0},
    {0, 0, 0x85, 0},
    {0, 0, 0x86, 0},
    {0, 0, 0x87, 0},
    {0, 0, 0x88, 0},
    {0, 0, 0x89, 0},
    {0, 0, 0x8A, 0},
    {0, 0, 0x8B, 0},
    {0, 0, 0x8C, 0},
    {0, 0, 0x8D, 0},
    {0, 0, 0x8E, 0},
    {0, 0, 0x8F, 0},
    {0, 0, 0x90, 0},
    {0, 0, 0x91, 0},
    {0, 0, 0x92, 0},
    {0, 0, 0x93, 0},
    {0, 0, 0x94, 0},
    {0, 0, 0x95, 0},
    {0, 0, 0x96, 0},
    {0, 0, 0x97, 0},
    {0, 0, 0x98, 0},
    {0, 0, 0x99, 0},
    {0, 0, 0x9A, 0},
    {0, 0, 0x9B, 0},
    {0, 0, 0x9C, 0},
    {0, 0, 0x9D, 0},
    {0, 0, 0x9E, 0},
    {0, 0, 0x9F, 0},
    {0, 0, 0xA0, 0},
    {0, 0, 0xA1, 0},
    {0, 0, 0xA2, 0},
    {0, 0, 0xA3, 0},
    {0, 0, 0xA4, 0},
    {0, 0, 0xA5, 0},
    {0, 0, 0xA6, 0},
    {0, 0, 0xA7, 0},
    {0, 0, 0xA8, 0},
    {0, 0, 0xA9, 0},
    {0, 0, 0xAA, 0},
    {0, 0, 0xAB, 0},
    {0, 0, 0xAC, 0},
    {0, 0, 0xAD, 0},
    {0, 0, 0xAE, 0},
    {0, 0, 0xAF, 0},
    {0, 0, 0xB0, 0},
    {0, 0, 0xB1, 0},
    {0, 0, 0xB2, 0},
    {0, 0, 0xB3, 0},
    {0, 0, 0xB4, 0},
    {0, 0, 0xB5, 0},
    {0, 0, 0xB6, 0},
    {0, 0, 0xB7, 0},
    {0, 0, 0xB8, 0},
    {0, 0, 0xB9, 0},
    {0, 0, 0xBA, 0},
    {0, 0, 0xBB, 0},
    {0, 0, 0xBC, 0},
    {0, 0, 0xBD, 0},
    {0, 0, 0xBE, 0},
    {0, 0, 0xBF, 0},
    {0, 0, 0xC0, 0},
    {0, 0, 0xC1, 0},
    {0, 0, 0xC2, 0},
    {0, 0, 0xC3, 0},
    {0, 0, 0xC4, 0},
    {0, 0, 0xC5, 0},
    {0, 0, 0xC6, 0},
    {0, 0, 0xC7, 0},
    {0, 0, 0xC8, 0},
    {0, 0, 0xC9, 0},
    {0, 0, 0xCA, 0},
    {0, 0, 0xCB, 0},
    {0, 0, 0xCC, 0},
    {0, 0, 0xCD, 0},
    {0, 0, 0xCE, 0},
    {0, 0, 0xCF, 0},
    {0, 0, 0xD0, 0},
    {0, 0, 0xD1, 0},
    {0, 0, 0xD2, 0},
    {0, 0, 0xD3, 0},
    {0, 0, 0xD4, 0},
    {0, 0, 0xD5, 0},
    {0, 0, 0xD6, 0},
    {0, 0, 0xD7, 0},
    {0, 0, 0xD8, 0},
    {0, 0, 0xD9, 0},
    {0, 0, 0xDA, 0},
    {0, 0, 0xDB, 0},
    {0, 0, 0xDC, 0},
    {0, 0, 0xDD, 0},
    {0, 0, 0xDE, 0},
    {0, 0, 0xDF, 0},
    {0, 0, 0xE0, 0},
    {0, 0, 0xE1, 0},
    {0, 0, 0xE2, 0},
    {0, 0, 0xE3, 0},
    {0, 0, 0xE4, 0},
    {0, 0, 0xE5, 0},
    {0, 0, 0xE6, 0},
    {0, 0, 0xE7, 0},
    {0, 0, 0xE8, 0},
    {0, 0, 0xE9, 0},
    {0, 0, 0xEA, 0},
    {0, 0, 0xEB, 0},
    {0, 0, 0xEC, 0},
    {0, 0, 0xED, 0},
    {0, 0, 0xEE, 0},
    {0, 0, 0xEF, 0},
    {0, 0, 0xF0, 0},
    {0, 0, 0xF1, 0},
    {0, 0, 0xF2, 0},
    {0, 0, 0xF3, 0},
    {0, 0, 0xF4, 0},
    {0, 0, 0xF5, 0},
    {0, 0, 0xF6, 0},
    {0, 0, 0xF7, 0},
    {0, 0, 0xF8, 0},
    {0, 0, 0xF9, 0},
    {0, 0, 0xFA, 0},
    {0, 0, 0xFB, 0},
    {0, 0, 0xFC, 0},
    {0, 0, 0xFD, 0},
    {0, 0, 0xFE, 0},
    {0, 0, 0xFF, 0},
    {0, 0, 0x40, 1},
    {0, 0, 0x41, 1},
    {0, 0, 0x42, 1},
    {0, 0, 0x43, 1},
    {0, 0, 0x44, 1},
    {0, 0, 0x45, 1},
    {0, 0, 0x46, 1},
    {0, 0, 0x47, 1},
    {0, 0, 0x48, 1},
    {0, 0, 0x49, 1},
    {0, 0, 0x4A, 1},
    {0, 0, 0x4B, 1},
    {0, 0, 0x4C, 1},
    {0, 0, 0x4D, 1},
    {0, 0, 0x4E, 1},
    {0, 0, 0x4F, 1},
    {0, 0, 0x50, 1},
    {0, 0, 0x51, 1},
    {0, 0, 0x52, 1},
    {0, 0, 0x53, 1},
    {0, 0, 0x54, 1},
    {0, 0, 0x55, 1},
    {0, 0, 0x56, 1},
    {0, 0, 0x57, 1},
    {0, 0, 0x58, 1},
    {0, 0, 0x59, 1},
    {0, 0, 0x5A, 1},
    {0, 0, 0x5B, 1},
    {0, 0, 0x5C, 1},
    {0, 0, 0x5D, 1},
    {0, 0, 0x5E, 1},
    {0, 0, 0x5F, 1},
    {0, 0, 0x60, 1},
    {0, 0, 0x61, 1},
    {0, 0, 0x62, 1},
    {0, 0, 0x63, 1},
    {0, 0, 0x64, 1},
    {0, 0, 0x65, 1},
    {0, 0, 0x66, 1},
    {0, 0, 0x67, 1},
    {0, 0, 0x68, 1},
    {0, 0, 0x69, 1},
    {0, 0, 0x6A, 1},
    {0, 0, 0x6B, 1},
    {0, 0, 0x6C, 1},
    {0, 0, 0x6D, 1},
    {0, 0, 0x6E, 1},
    {0, 0, 0x6F, 1},
    {0, 0, 0x70, 1},
    {0, 0, 0x71, 1},
    {0, 0, 0x72, 1},
    {0, 0, 0x73, 1},
    {0, 0, 0x74, 1},
    {0, 0, 0x75, 1},
    {0, 0, 0x76, 1},
    {0, 0, 0x77, 1},
    {0, 0, 0x78, 1},
    {0, 0, 0x79, 1},
    {0, 0, 0x7A, 1},
    {0, 0, 0x7B, 1},
    {0, 0, 0x7C, 1},
    {0, 0, 0x7D, 1},
    {0, 0, 0x7E, 1},
    {0, 0, 0x7F, 1},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 1},
    {1, 2, 0x0, 0},
    {0, 0, 0x2, 1},
    {0, 0, 0x3, 1},
    {0, 0, 0x0, 2},
    {1, 3, 0x0, 0},
    {0, 0, 0x4, 1},
    {0, 0, 0x5, 1},
    {0, 0, 0x6, 1},
    {0, 0, 0x7, 1},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x0, 3},
    {1, 4, 0x0, 0},
    {0, 0, 0x8, 1},
    {0, 0, 0x9, 1},
    {0, 0, 0xA, 1},
    {0, 0, 0xB, 1},
    {0, 0, 0xC, 1},
    {0, 0, 0xD, 1},
    {0, 0, 0xE, 1},
    {0, 0, 0xF, 1},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x0, 4},
    {1, 5, 0x0, 0},
    {0, 0, 0x10, 1},
    {0, 0, 0x11, 1},
    {0, 0, 0x12, 1},
    {0, 0, 0x13, 1},
    {0, 0, 0x14, 1},
    {0, 0, 0x15, 1},
    {0, 0, 0x16, 1},
    {0, 0, 0x17, 1},
    {0, 0, 0x18, 1},
    {0, 0, 0x19, 1},
    {0, 0, 0x1A, 1},
    {0, 0, 0x1B, 1},
    {0, 0, 0x1C, 1},
    {0, 0, 0x1D, 1},
    {0, 0, 0x1E, 1},
    {0, 0, 0x1F, 1},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x20, 1},
    {0, 0, 0x21, 1},
    {0, 0, 0x22, 1},
    {0, 0, 0x23, 1},
    {0, 0, 0x24, 1},
    {0, 0, 0x25, 1},
    {0, 0, 0x26, 1},
    {0, 0, 0x27, 1},
    {0, 0, 0x28, 1},
    {0, 0, 0x29, 1},
    {0, 0, 0x2A, 1},
    {0, 0, 0x2B, 1},
    {0, 0, 0x2C, 1},
    {0, 0, 0x2D, 1},
    {0, 0, 0x2E, 1},
    {0, 0, 0x2F, 1},
    {0, 0, 0x30, 1},
    {0, 0, 0x31, 1},
    {0, 0, 0x32, 1},
    {0, 0, 0x33, 1},
    {0, 0, 0x34, 1},
    {0, 0, 0x35, 1},
    {0, 0, 0x36, 1},
    {0, 0, 0x37, 1},
    {0, 0, 0x38, 1},
    {0, 0, 0x39, 1},
    {0, 0, 0x3A, 1},
    {0, 0, 0x3B, 1},
    {0, 0, 0x3C, 1},
    {0, 0, 0x3D, 1},
    {0, 0, 0x3E, 1},
    {0, 0, 0x3F, 1},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x40, 1},
    {0, 0, 0x41, 1},
    {0, 0, 0x42, 1},
    {0, 0, 0x43, 1},
    {0, 0, 0x44, 1},
    {0, 0, 0x45, 1},
    {0, 0, 0x46, 1},
    {0, 0, 0x47, 1},
    {0, 0, 0x48, 1},
    {0, 0, 0x49, 1},
    {0, 0, 0x4A, 1},
    {0, 0, 0x4B, 1},
    {0, 0, 0x4C, 1},
    {0, 0, 0x4D, 1},
    {0, 0, 0x4E, 1},
    {0, 0, 0x4F, 1},
    {0, 0, 0x50, 1},
    {0, 0, 0x51, 1},
    {0, 0, 0x52, 1},
    {0, 0, 0x53, 1},
    {0, 0, 0x54, 1},
    {0, 0, 0x55, 1},
    {0, 0, 0x56, 1},
    {0, 0, 0x57, 1},
    {0, 0, 0x58, 1},
    {0, 0, 0x59, 1},
    {0, 0, 0x5A, 1},
    {0, 0, 0x5B, 1},
    {0, 0, 0x5C, 1},
    {0, 0, 0x5D, 1},
    {0, 0, 0x5E, 1},
    {0, 0, 0x5F, 1},
    {0, 0, 0x60, 1},
    {0, 0, 0x61, 1},
    {0, 0, 0x62, 1},
    {0, 0, 0x63, 1},
    {0, 0, 0x64, 1},
    {0, 0, 0x65, 1},
    {0, 0, 0x66, 1},
    {0, 0, 0x67, 1},
    {0, 0, 0x68, 1},
    {0, 0, 0x69, 1},
    {0, 0, 0x6A, 1},
    {0, 0, 0x6B, 1},
    {0, 0, 0x6C, 1},
    {0, 0, 0x6D, 1},
    {0, 0, 0x6E, 1},
    {0, 0, 0x6F, 1},
    {0, 0, 0x70, 1},
    {0, 0, 0x71, 1},
    {0, 0, 0x72, 1},
    {0, 0, 0x73, 1},
    {0, 0, 0x74, 1},
    {0, 0, 0x75, 1},
    {0, 0, 0x76, 1},
    {0, 0, 0x77, 1},
    {0, 0, 0x78, 1},
    {0, 0, 0x79, 1},
    {0, 0, 0x7A, 1},
    {0, 0, 0x7B, 1},
    {0, 0, 0x7C, 1},
    {0, 0, 0x7D, 1},
    {0, 0, 0x7E, 1},
    {0, 0, 0x7F, 1},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x80, 1},
    {0, 0, 0x81, 1},
    {0, 0, 0x82, 1},
    {0, 0, 0x83, 1},
    {0, 0, 0x84, 1},
    {0, 0, 0x85, 1},
    {0, 0, 0x86, 1},
    {0, 0, 0x87, 1},
    {0, 0, 0x88, 1},
    {0, 0, 0x89, 1},
    {0, 0, 0x8A, 1},
    {0, 0, 0x8B, 1},
    {0, 0, 0x8C, 1},
    {0, 0, 0x8D, 1},
    {0, 0, 0x8E, 1},
    {0, 0, 0x8F, 1},
    {0, 0, 0x90, 1},
    {0, 0, 0x91, 1},
    {0, 0, 0x92, 1},
    {0, 0, 0x93, 1},
    {0, 0, 0x94, 1},
    {0, 0, 0x95, 1},
    {0, 0, 0x96, 1},
    {0, 0, 0x97, 1},
    {0, 0, 0x98, 1},
    {0, 0, 0x99, 1},
    {0, 0, 0x9A, 1},
    {0, 0, 0x9B, 1},
    {0, 0, 0x9C, 1},
    {0, 0, 0x9D, 1},
    {0, 0, 0x9E, 1},
    {0, 0, 0x9F, 1},
    {0, 0, 0xA0, 1},
    {0, 0, 0xA1, 1},
    {0, 0, 0xA2, 1},
    {0, 0, 0xA3, 1},
    {0, 0, 0xA4, 1},
    {0, 0, 0xA5, 1},
    {0, 0, 0xA6, 1},
    {0, 0, 0xA7, 1},
    {0, 0, 0xA8, 1},
    {0, 0, 0xA9, 1},
    {0, 0, 0xAA, 1},
    {0, 0, 0xAB, 1},
    {0, 0, 0xAC, 1},
    {0, 0, 0xAD, 1},
    {0, 0, 0xAE, 1},
    {0, 0, 0xAF, 1},
    {0, 0, 0xB0, 1},
    {0, 0, 0xB1, 1},
    {0, 0, 0xB2, 1},
    {0, 0, 0xB3, 1},
    {0, 0, 0xB4, 1},
    {0, 0, 0xB5, 1},
    {0, 0, 0xB6, 1},
    {0, 0, 0xB7, 1},
    {0, 0, 0xB8, 1},
    {0, 0, 0xB9, 1},
    {0, 0, 0xBA, 1},
    {0, 0, 0xBB, 1},
    {0, 0, 0xBC, 1},
    {0, 0, 0xBD, 1},
    {0, 0, 0xBE, 1},
    {0, 0, 0xBF, 1},
    {0, 0, 0xC0, 1},
    {0, 0, 0xC1, 1},
    {0, 0, 0xC2, 1},
    {0, 0, 0xC3, 1},
    {0, 0, 0xC4, 1},
    {0, 0, 0xC5, 1},
    {0, 0, 0xC6, 1},
    {0, 0, 0xC7, 1},
    {0, 0, 0xC8, 1},
    {0, 0, 0xC9, 1},
    {0, 0, 0xCA, 1},
    {0, 0, 0xCB, 1},
    {0, 0, 0xCC, 1},
    {0, 0, 0xCD, 1},
    {0, 0, 0xCE, 1},
    {0, 0, 0xCF, 1},
    {0, 0, 0xD0, 1},
    {0, 0, 0xD1, 1},
    {0, 0, 0xD2, 1},
    {0, 0, 0xD3, 1},
    {0, 0, 0xD4, 1},
    {0, 0, 0xD5, 1},
    {0, 0, 0xD6, 1},
    {0, 0, 0xD7, 1},
    {0, 0, 0xD8, 1},
    {0, 0, 0xD9, 1},
    {0, 0, 0xDA, 1},
    {0, 0, 0xDB, 1},
    {0, 0, 0xDC, 1},
    {0, 0, 0xDD, 1},
    {0, 0, 0xDE, 1},
    {0, 0, 0xDF, 1},
    {0, 0, 0xE0, 1},
    {0, 0, 0xE1, 1},
    {0, 0, 0xE2, 1},
    {0, 0, 0xE3, 1},
    {0, 0, 0xE4, 1},
    {0, 0, 0xE5, 1},
    {0, 0, 0xE6, 1},
    {0, 0, 0xE7, 1},
    {0, 0, 0xE8, 1},
    {0, 0, 0xE9, 1},
    {0, 0, 0xEA, 1},
    {0, 0, 0xEB, 1},
    {0, 0, 0xEC, 1},
    {0, 0, 0xED, 1},
    {0, 0, 0xEE, 1},
    {0, 0, 0xEF, 1},
    {0, 0, 0xF0, 1},
    {0, 0, 0xF1, 1},
    {0, 0, 0xF2, 1},
    {0, 0, 0xF3, 1},
    {0, 0, 0xF4, 1},
    {0, 0, 0xF5, 1},
    {0, 0, 0xF6, 1},
    {0, 0, 0xF7, 1},
    {0, 0, 0xF8, 1},
    {0, 0, 0xF9, 1},
    {0, 0, 0xFA, 1},
    {0, 0, 0xFB, 1},
    {0, 0, 0xFC, 1},
    {0, 0, 0xFD, 1},
    {0, 0, 0xFE, 1},
    {0, 0, 0xFF, 1},
    {0, 0, 0x40, 2},
    {0, 0, 0x41, 2},
    {0, 0, 0x42, 2},
    {0, 0, 0x43, 2},
    {0, 0, 0x44, 2},
    {0, 0, 0x45, 2},
    {0, 0, 0x46, 2},
    {0, 0, 0x47, 2},
    {0, 0, 0x48, 2},
    {0, 0, 0x49, 2},
    {0, 0, 0x4A, 2},
    {0, 0, 0x4B, 2},
    {0, 0, 0x4C, 2},
    {0, 0, 0x4D, 2},
    {0, 0, 0x4E, 2},
    {0, 0, 0x4F, 2},
    {0, 0, 0x50, 2},
    {0, 0, 0x51, 2},
    {0, 0, 0x52, 2},
    {0, 0, 0x53, 2},
    {0, 0, 0x54, 2},
    {0, 0, 0x55, 2},
    {0, 0, 0x56, 2},
    {0, 0, 0x57, 2},
    {0, 0, 0x58, 2},
    {0, 0, 0x59, 2},
    {0, 0, 0x5A, 2},
    {0, 0, 0x5B, 2},
    {0, 0, 0x5C, 2},
    {0, 0, 0x5D, 2},
    {0, 0, 0x5E, 2},
    {0, 0, 0x5F, 2},
    {0, 0, 0x60, 2},
    {0, 0, 0x61, 2},
    {0, 0, 0x62, 2},
    {0, 0, 0x63, 2},
    {0, 0, 0x64, 2},
    {0, 0, 0x65, 2},
    {0, 0, 0x66, 2},
    {0, 0, 0x67, 2},
    {0, 0, 0x68, 2},
    {0, 0, 0x69, 2},
    {0, 0, 0x6A, 2},
    {0, 0, 0x6B, 2},
    {0, 0, 0x6C, 2},
    {0, 0, 0x6D, 2},
    {0, 0, 0x6E, 2},
    {0, 0, 0x6F, 2},
    {0, 0, 0x70, 2},
    {0, 0, 0x71, 2},
    {0, 0, 0x72, 2},
    {0, 0, 0x73, 2},
    {0, 0, 0x74, 2},
    {0, 0, 0x75, 2},
    {0, 0, 0x76, 2},
    {0, 0, 0x77, 2},
    {0, 0, 0x78, 2},
    {0, 0, 0x79, 2},
    {0, 0, 0x7A, 2},
    {0, 0, 0x7B, 2},
    {0, 0, 0x7C, 2},
    {0, 0, 0x7D, 2},
    {0, 0, 0x7E, 2},
    {0, 0, 0x7F, 2},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 2},
    {1, 3, 0x0, 0},
    {0, 0, 0x2, 2},
    {0, 0, 0x3, 2},
    {0, 0, 0x0, 3},
    {1, 4, 0x0, 0},
    {0, 0, 0x4, 2},
    {0, 0, 0x5, 2},
    {0, 0, 0x6, 2},
    {0, 0, 0x7, 2},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x0, 4},
    {1, 5, 0x0, 0},
    {0, 0, 0x8, 2},
    {0, 0, 0x9, 2},
    {0, 0, 0xA, 2},
    {0, 0, 0xB, 2},
    {0, 0, 0xC, 2},
    {0, 0, 0xD, 2},
    {0, 0, 0xE, 2},
    {0, 0, 0xF, 2},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x10, 2},
    {0, 0, 0x11, 2},
    {0, 0, 0x12, 2},
    {0, 0, 0x13, 2},
    {0, 0, 0x14, 2},
    {0, 0, 0x15, 2},
    {0, 0, 0x16, 2},
    {0, 0, 0x17, 2},
    {0, 0, 0x18, 2},
    {0, 0, 0x19, 2},
    {0, 0, 0x1A, 2},
    {0, 0, 0x1B, 2},
    {0, 0, 0x1C, 2},
    {0, 0, 0x1D, 2},
    {0, 0, 0x1E, 2},
    {0, 0, 0x1F, 2},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x20, 2},
    {0, 0, 0x21, 2},
    {0, 0, 0x22, 2},
    {0, 0, 0x23, 2},
    {0, 0, 0x24, 2},
    {0, 0, 0x25, 2},
    {0, 0, 0x26, 2},
    {0, 0, 0x27, 2},
    {0, 0, 0x28, 2},
    {0, 0, 0x29, 2},
    {0, 0, 0x2A, 2},
    {0, 0, 0x2B, 2},
    {0, 0, 0x2C, 2},
    {0, 0, 0x2D, 2},
    {0, 0, 0x2E, 2},
    {0, 0, 0x2F, 2},
    {0, 0, 0x30, 2},
    {0, 0, 0x31, 2},
    {0, 0, 0x32, 2},
    {0, 0, 0x33, 2},
    {0, 0, 0x34, 2},
    {0, 0, 0x35, 2},
    {0, 0, 0x36, 2},
    {0, 0, 0x37, 2},
    {0, 0, 0x38, 2},
    {0, 0, 0x39, 2},
    {0, 0, 0x3A, 2},
    {0, 0, 0x3B, 2},
    {0, 0, 0x3C, 2},
    {0, 0, 0x3D, 2},
    {0, 0, 0x3E, 2},
    {0, 0, 0x3F, 2},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x40, 2},
    {0, 0, 0x41, 2},
    {0, 0, 0x42, 2},
    {0, 0, 0x43, 2},
    {0, 0, 0x44, 2},
    {0, 0, 0x45, 2},
    {0, 0, 0x46, 2},
    {0, 0, 0x47, 2},
    {0, 0, 0x48, 2},
    {0, 0, 0x49, 2},
    {0, 0, 0x4A, 2},
    {0, 0, 0x4B, 2},
    {0, 0, 0x4C, 2},
    {0, 0, 0x4D, 2},
    {0, 0, 0x4E, 2},
    {0, 0, 0x4F, 2},
    {0, 0, 0x50, 2},
    {0, 0, 0x51, 2},
    {0, 0, 0x52, 2},
    {0, 0, 0x53, 2},
    {0, 0, 0x54, 2},
    {0, 0, 0x55, 2},
    {0, 0, 0x56, 2},
    {0, 0, 0x57, 2},
    {0, 0, 0x58, 2},
    {0, 0, 0x59, 2},
    {0, 0, 0x5A, 2},
    {0, 0, 0x5B, 2},
    {0, 0, 0x5C, 2},
    {0, 0, 0x5D, 2},
    {0, 0, 0x5E, 2},
    {0, 0, 0x5F, 2},
    {0, 0, 0x60, 2},
    {0, 0, 0x61, 2},
    {0, 0, 0x62, 2},
    {0, 0, 0x63, 2},
    {0, 0, 0x64, 2},
    {0, 0, 0x65, 2},
    {0, 0, 0x66, 2},
    {0, 0, 0x67, 2},
    {0, 0, 0x68, 2},
    {0, 0, 0x69, 2},
    {0, 0, 0x6A, 2},
    {0, 0, 0x6B, 2},
    {0, 0, 0x6C, 2},
    {0, 0, 0x6D, 2},
    {0, 0, 0x6E, 2},
    {0, 0, 0x6F, 2},
    {0, 0, 0x70, 2},
    {0, 0, 0x71, 2},
    {0, 0, 0x72, 2},
    {0, 0, 0x73, 2},
    {0, 0, 0x74, 2},
    {0, 0, 0x75, 2},
    {0, 0, 0x76, 2},
    {0, 0, 0x77, 2},
    {0, 0, 0x78, 2},
    {0, 0, 0x79, 2},
    {0, 0, 0x7A, 2},
    {0, 0, 0x7B, 2},
    {0, 0, 0x7C, 2},
    {0, 0, 0x7D, 2},
    {0, 0, 0x7E, 2},
    {0, 0, 0x7F, 2},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x80, 2},
    {0, 0, 0x81, 2},
    {0, 0, 0x82, 2},
    {0, 0, 0x83, 2},
    {0, 0, 0x84, 2},
    {0, 0, 0x85, 2},
    {0, 0, 0x86, 2},
    {0, 0, 0x87, 2},
    {0, 0, 0x88, 2},
    {0, 0, 0x89, 2},
    {0, 0, 0x8A, 2},
    {0, 0, 0x8B, 2},
    {0, 0, 0x8C, 2},
    {0, 0, 0x8D, 2},
    {0, 0, 0x8E, 2},
    {0, 0, 0x8F, 2},
    {0, 0, 0x90, 2},
    {0, 0, 0x91, 2},
    {0, 0, 0x92, 2},
    {0, 0, 0x93, 2},
    {0, 0, 0x94, 2},
    {0, 0, 0x95, 2},
    {0, 0, 0x96, 2},
    {0, 0, 0x97, 2},
    {0, 0, 0x98, 2},
    {0, 0, 0x99, 2},
    {0, 0, 0x9A, 2},
    {0, 0, 0x9B, 2},
    {0, 0, 0x9C, 2},
    {0, 0, 0x9D, 2},
    {0, 0, 0x9E, 2},
    {0, 0, 0x9F, 2},
    {0, 0, 0xA0, 2},
    {0, 0, 0xA1, 2},
    {0, 0, 0xA2, 2},
    {0, 0, 0xA3, 2},
    {0, 0, 0xA4, 2},
    {0, 0, 0xA5, 2},
    {0, 0, 0xA6, 2},
    {0, 0, 0xA7, 2},
    {0, 0, 0xA8, 2},
    {0, 0, 0xA9, 2},
    {0, 0, 0xAA, 2},
    {0, 0, 0xAB, 2},
    {0, 0, 0xAC, 2},
    {0, 0, 0xAD, 2},
    {0, 0, 0xAE, 2},
    {0, 0, 0xAF, 2},
    {0, 0, 0xB0, 2},
    {0, 0, 0xB1, 2},
    {0, 0, 0xB2, 2},
    {0, 0, 0xB3, 2},
    {0, 0, 0xB4, 2},
    {0, 0, 0xB5, 2},
    {0, 0, 0xB6, 2},
    {0, 0, 0xB7, 2},
    {0, 0, 0xB8, 2},
    {0, 0, 0xB9, 2},
    {0, 0, 0xBA, 2},
    {0, 0, 0xBB, 2},
    {0, 0, 0xBC, 2},
    {0, 0, 0xBD, 2},
    {0, 0, 0xBE, 2},
    {0, 0, 0xBF, 2},
    {0, 0, 0xC0, 2},
    {0, 0, 0xC1, 2},
    {0, 0, 0xC2, 2},
    {0, 0, 0xC3, 2},
    {0, 0, 0xC4, 2},
    {0, 0, 0xC5, 2},
    {0, 0, 0xC6, 2},
    {0, 0, 0xC7, 2},
    {0, 0, 0xC8, 2},
    {0, 0, 0xC9, 2},
    {0, 0, 0xCA, 2},
    {0, 0, 0xCB, 2},
    {0, 0, 0xCC, 2},
    {0, 0, 0xCD, 2},
    {0, 0, 0xCE, 2},
    {0, 0, 0xCF, 2},
    {0, 0, 0xD0, 2},
    {0, 0, 0xD1, 2},
    {0, 0, 0xD2, 2},
    {0, 0, 0xD3, 2},
    {0, 0, 0xD4, 2},
    {0, 0, 0xD5, 2},
    {0, 0, 0xD6, 2},
    {0, 0, 0xD7, 2},
    {0, 0, 0xD8, 2},
    {0, 0, 0xD9, 2},
    {0, 0, 0xDA, 2},
    {0, 0, 0xDB, 2},
    {0, 0, 0xDC, 2},
    {0, 0, 0xDD, 2},
    {0, 0, 0xDE, 2},
    {0, 0, 0xDF, 2},
    {0, 0, 0xE0, 2},
    {0, 0, 0xE1, 2},
    {0, 0, 0xE2, 2},
    {0, 0, 0xE3, 2},
    {0, 0, 0xE4, 2},
    {0, 0, 0xE5, 2},
    {0, 0, 0xE6, 2},
    {0, 0, 0xE7, 2},
    {0, 0, 0xE8, 2},
    {0, 0, 0xE9, 2},
    {0, 0, 0xEA, 2},
    {0, 0, 0xEB, 2},
    {0, 0, 0xEC, 2},
    {0, 0, 0xED, 2},
    {0, 0, 0xEE, 2},
    {0, 0, 0xEF, 2},
    {0, 0, 0xF0, 2},
    {0, 0, 0xF1, 2},
    {0, 0, 0xF2, 2},
    {0, 0, 0xF3, 2},
    {0, 0, 0xF4, 2},
    {0, 0, 0xF5, 2},
    {0, 0, 0xF6, 2},
    {0, 0, 0xF7, 2},
    {0, 0, 0xF8, 2},
    {0, 0, 0xF9, 2},
    {0, 0, 0xFA, 2},
    {0, 0, 0xFB, 2},
    {0, 0, 0xFC, 2},
    {0, 0, 0xFD, 2},
    {0, 0, 0xFE, 2},
    {0, 0, 0xFF, 2},
    {0, 0, 0x40, 3},
    {0, 0, 0x41, 3},
    {0, 0, 0x42, 3},
    {0, 0, 0x43, 3},
    {0, 0, 0x44, 3},
    {0, 0, 0x45, 3},
    {0, 0, 0x46, 3},
    {0, 0, 0x47, 3},
    {0, 0, 0x48, 3},
    {0, 0, 0x49, 3},
    {0, 0, 0x4A, 3},
    {0, 0, 0x4B, 3},
    {0, 0, 0x4C, 3},
    {0, 0, 0x4D, 3},
    {0, 0, 0x4E, 3},
    {0, 0, 0x4F, 3},
    {0, 0, 0x50, 3},
    {0, 0, 0x51, 3},
    {0, 0, 0x52, 3},
    {0, 0, 0x53, 3},
    {0, 0, 0x54, 3},
    {0, 0, 0x55, 3},
    {0, 0, 0x56, 3},
    {0, 0, 0x57, 3},
    {0, 0, 0x58, 3},
    {0, 0, 0x59, 3},
    {0, 0, 0x5A, 3},
    {0, 0, 0x5B, 3},
    {0, 0, 0x5C, 3},
    {0, 0, 0x5D, 3},
    {0, 0, 0x5E, 3},
    {0, 0, 0x5F, 3},
    {0, 0, 0x60, 3},
    {0, 0, 0x61, 3},
    {0, 0, 0x62, 3},
    {0, 0, 0x63, 3},
    {0, 0, 0x64, 3},
    {0, 0, 0x65, 3},
    {0, 0, 0x66, 3},
    {0, 0, 0x67, 3},
    {0, 0, 0x68, 3},
    {0, 0, 0x69, 3},
    {0, 0, 0x6A, 3},
    {0, 0, 0x6B, 3},
    {0, 0, 0x6C, 3},
    {0, 0, 0x6D, 3},
    {0, 0, 0x6E, 3},
    {0, 0, 0x6F, 3},
    {0, 0, 0x70, 3},
    {0, 0, 0x71, 3},
    {0, 0, 0x72, 3},
    {0, 0, 0x73, 3},
    {0, 0, 0x74, 3},
    {0, 0, 0x75, 3},
    {0, 0, 0x76, 3},
    {0, 0, 0x77, 3},
    {0, 0, 0x78, 3},
    {0, 0, 0x79, 3},
    {0, 0, 0x7A, 3},
    {0, 0, 0x7B, 3},
    {0, 0, 0x7C, 3},
    {0, 0, 0x7D, 3},
    {0, 0, 0x7E, 3},
    {0, 0, 0x7F, 3},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 3},
    {1, 4, 0x0, 0},
    {0, 0, 0x2, 3},
    {0, 0, 0x3, 3},
    {0, 0, 0x0, 4},
    {1, 5, 0x0, 0},
    {0, 0, 0x4, 3},
    {0, 0, 0x5, 3},
    {0, 0, 0x6, 3},
    {0, 0, 0x7, 3},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x8, 3},
    {0, 0, 0x9, 3},
    {0, 0, 0xA, 3},
    {0, 0, 0xB, 3},
    {0, 0, 0xC, 3},
    {0, 0, 0xD, 3},
    {0, 0, 0xE, 3},
    {0, 0, 0xF, 3},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x10, 3},
    {0, 0, 0x11, 3},
    {0, 0, 0x12, 3},
    {0, 0, 0x13, 3},
    {0, 0, 0x14, 3},
    {0, 0, 0x15, 3},
    {0, 0, 0x16, 3},
    {0, 0, 0x17, 3},
    {0, 0, 0x18, 3},
    {0, 0, 0x19, 3},
    {0, 0, 0x1A, 3},
    {0, 0, 0x1B, 3},
    {0, 0, 0x1C, 3},
    {0, 0, 0x1D, 3},
    {0, 0, 0x1E, 3},
    {0, 0, 0x1F, 3},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x20, 3},
    {0, 0, 0x21, 3},
    {0, 0, 0x22, 3},
    {0, 0, 0x23, 3},
    {0, 0, 0x24, 3},
    {0, 0, 0x25, 3},
    {0, 0, 0x26, 3},
    {0, 0, 0x27, 3},
    {0, 0, 0x28, 3},
    {0, 0, 0x29, 3},
    {0, 0, 0x2A, 3},
    {0, 0, 0x2B, 3},
    {0, 0, 0x2C, 3},
    {0, 0, 0x2D, 3},
    {0, 0, 0x2E, 3},
    {0, 0, 0x2F, 3},
    {0, 0, 0x30, 3},
    {0, 0, 0x31, 3},
    {0, 0, 0x32, 3},
    {0, 0, 0x33, 3},
    {0, 0, 0x34, 3},
    {0, 0, 0x35, 3},
    {0, 0, 0x36, 3},
    {0, 0, 0x37, 3},
    {0, 0, 0x38, 3},
    {0, 0, 0x39, 3},
    {0, 0, 0x3A, 3},
    {0, 0, 0x3B, 3},
    {0, 0, 0x3C, 3},
    {0, 0, 0x3D, 3},
    {0, 0, 0x3E, 3},
    {0, 0, 0x3F, 3},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x40, 3},
    {0, 0, 0x41, 3},
    {0, 0, 0x42, 3},
    {0, 0, 0x43, 3},
    {0, 0, 0x44, 3},
    {0, 0, 0x45, 3},
    {0, 0, 0x46, 3},
    {0, 0, 0x47, 3},
    {0, 0, 0x48, 3},
    {0, 0, 0x49, 3},
    {0, 0, 0x4A, 3},
    {0, 0, 0x4B, 3},
    {0, 0, 0x4C, 3},
    {0, 0, 0x4D, 3},
    {0, 0, 0x4E, 3},
    {0, 0, 0x4F, 3},
    {0, 0, 0x50, 3},
    {0, 0, 0x51, 3},
    {0, 0, 0x52, 3},
    {0, 0, 0x53, 3},
    {0, 0, 0x54, 3},
    {0, 0, 0x55, 3},
    {0, 0, 0x56, 3},
    {0, 0, 0x57, 3},
    {0, 0, 0x58, 3},
    {0, 0, 0x59, 3},
    {0, 0, 0x5A, 3},
    {0, 0, 0x5B, 3},
    {0, 0, 0x5C, 3},
    {0, 0, 0x5D, 3},
    {0, 0, 0x5E, 3},
    {0, 0, 0x5F, 3},
    {0, 0, 0x60, 3},
    {0, 0, 0x61, 3},
    {0, 0, 0x62, 3},
    {0, 0, 0x63, 3},
    {0, 0, 0x64, 3},
    {0, 0, 0x65, 3},
    {0, 0, 0x66, 3},
    {0, 0, 0x67, 3},
    {0, 0, 0x68, 3},
    {0, 0, 0x69, 3},
    {0, 0, 0x6A, 3},
    {0, 0, 0x6B, 3},
    {0, 0, 0x6C, 3},
    {0, 0, 0x6D, 3},
    {0, 0, 0x6E, 3},
    {0, 0, 0x6F, 3},
    {0, 0, 0x70, 3},
    {0, 0, 0x71, 3},
    {0, 0, 0x72, 3},
    {0, 0, 0x73, 3},
    {0, 0, 0x74, 3},
    {0, 0, 0x75, 3},
    {0, 0, 0x76, 3},
    {0, 0, 0x77, 3},
    {0, 0, 0x78, 3},
    {0, 0, 0x79, 3},
    {0, 0, 0x7A, 3},
    {0, 0, 0x7B, 3},
    {0, 0, 0x7C, 3},
    {0, 0, 0x7D, 3},
    {0, 0, 0x7E, 3},
    {0, 0, 0x7F, 3},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x80, 3},
    {0, 0, 0x81, 3},
    {0, 0, 0x82, 3},
    {0, 0, 0x83, 3},
    {0, 0, 0x84, 3},
    {0, 0, 0x85, 3},
    {0, 0, 0x86, 3},
    {0, 0, 0x87, 3},
    {0, 0, 0x88, 3},
    {0, 0, 0x89, 3},
    {0, 0, 0x8A, 3},
    {0, 0, 0x8B, 3},
    {0, 0, 0x8C, 3},
    {0, 0, 0x8D, 3},
    {0, 0, 0x8E, 3},
    {0, 0, 0x8F, 3},
    {0, 0, 0x90, 3},
    {0, 0, 0x91, 3},
    {0, 0, 0x92, 3},
    {0, 0, 0x93, 3},
    {0, 0, 0x94, 3},
    {0, 0, 0x95, 3},
    {0, 0, 0x96, 3},
    {0, 0, 0x97, 3},
    {0, 0, 0x98, 3},
    {0, 0, 0x99, 3},
    {0, 0, 0x9A, 3},
    {0, 0, 0x9B, 3},
    {0, 0, 0x9C, 3},
    {0, 0, 0x9D, 3},
    {0, 0, 0x9E, 3},
    {0, 0, 0x9F, 3},
    {0, 0, 0xA0, 3},
    {0, 0, 0xA1, 3},
    {0, 0, 0xA2, 3},
    {0, 0, 0xA3, 3},
    {0, 0, 0xA4, 3},
    {0, 0, 0xA5, 3},
    {0, 0, 0xA6, 3},
    {0, 0, 0xA7, 3},
    {0, 0, 0xA8, 3},
    {0, 0, 0xA9, 3},
    {0, 0, 0xAA, 3},
    {0, 0, 0xAB, 3},
    {0, 0, 0xAC, 3},
    {0, 0, 0xAD, 3},
    {0, 0, 0xAE, 3},
    {0, 0, 0xAF, 3},
    {0, 0, 0xB0, 3},
    {0, 0, 0xB1, 3},
    {0, 0, 0xB2, 3},
    {0, 0, 0xB3, 3},
    {0, 0, 0xB4, 3},
    {0, 0, 0xB5, 3},
    {0, 0, 0xB6, 3},
    {0, 0, 0xB7, 3},
    {0, 0, 0xB8, 3},
    {0, 0, 0xB9, 3},
    {0, 0, 0xBA, 3},
    {0, 0, 0xBB, 3},
    {0, 0, 0xBC, 3},
    {0, 0, 0xBD, 3},
    {0, 0, 0xBE, 3},
    {0, 0, 0xBF, 3},
    {0, 0, 0xC0, 3},
    {0, 0, 0xC1, 3},
    {0, 0, 0xC2, 3},
    {0, 0, 0xC3, 3},
    {0, 0, 0xC4, 3},
    {0, 0, 0xC5, 3},
    {0, 0, 0xC6, 3},
    {0, 0, 0xC7, 3},
    {0, 0, 0xC8, 3},
    {0, 0, 0xC9, 3},
    {0, 0, 0xCA, 3},
    {0, 0, 0xCB, 3},
    {0, 0, 0xCC, 3},
    {0, 0, 0xCD, 3},
    {0, 0, 0xCE, 3},
    {0, 0, 0xCF, 3},
    {0, 0, 0xD0, 3},
    {0, 0, 0xD1, 3},
    {0, 0, 0xD2, 3},
    {0, 0, 0xD3, 3},
    {0, 0, 0xD4, 3},
    {0, 0, 0xD5, 3},
    {0, 0, 0xD6, 3},
    {0, 0, 0xD7, 3},
    {0, 0, 0xD8, 3},
    {0, 0, 0xD9, 3},
    {0, 0, 0xDA, 3},
    {0, 0, 0xDB, 3},
    {0, 0, 0xDC, 3},
    {0, 0, 0xDD, 3},
    {0, 0, 0xDE, 3},
    {0, 0, 0xDF, 3},
    {0, 0, 0xE0, 3},
    {0, 0, 0xE1, 3},
    {0, 0, 0xE2, 3},
    {0, 0, 0xE3, 3},
    {0, 0, 0xE4, 3},
    {0, 0, 0xE5, 3},
    {0, 0, 0xE6, 3},
    {0, 0, 0xE7, 3},
    {0, 0, 0xE8, 3},
    {0, 0, 0xE9, 3},
    {0, 0, 0xEA, 3},
    {0, 0, 0xEB, 3},
    {0, 0, 0xEC, 3},
    {0, 0, 0xED, 3},
    {0, 0, 0xEE, 3},
    {0, 0, 0xEF, 3},
    {0, 0, 0xF0, 3},
    {0, 0, 0xF1, 3},
    {0, 0, 0xF2, 3},
    {0, 0, 0xF3, 3},
    {0, 0, 0xF4, 3},
    {0, 0, 0xF5, 3},
    {0, 0, 0xF6, 3},
    {0, 0, 0xF7, 3},
    {0, 0, 0xF8, 3},
    {0, 0, 0xF9, 3},
    {0, 0, 0xFA, 3},
    {0, 0, 0xFB, 3},
    {0, 0, 0xFC, 3},
    {0, 0, 0xFD, 3},
    {0, 0, 0xFE, 3},
    {0, 0, 0xFF, 3},
    {0, 0, 0x40, 4},
    {0, 0, 0x41, 4},
    {0, 0, 0x42, 4},
    {0, 0, 0x43, 4},
    {0, 0, 0x44, 4},
    {0, 0, 0x45, 4},
    {0, 0, 0x46, 4},
    {0, 0, 0x47, 4},
    {0, 0, 0x48, 4},
    {0, 0, 0x49, 4},
    {0, 0, 0x4A, 4},
    {0, 0, 0x4B, 4},
    {0, 0, 0x4C, 4},
    {0, 0, 0x4D, 4},
    {0, 0, 0x4E, 4},
    {0, 0, 0x4F, 4},
    {0, 0, 0x50, 4},
    {0, 0, 0x51, 4},
    {0, 0, 0x52, 4},
    {0, 0, 0x53, 4},
    {0, 0, 0x54, 4},
    {0, 0, 0x55, 4},
    {0, 0, 0x56, 4},
    {0, 0, 0x57, 4},
    {0, 0, 0x58, 4},
    {0, 0, 0x59, 4},
    {0, 0, 0x5A, 4},
    {0, 0, 0x5B, 4},
    {0, 0, 0x5C, 4},
    {0, 0, 0x5D, 4},
    {0, 0, 0x5E, 4},
    {0, 0, 0x5F, 4},
    {0, 0, 0x60, 4},
    {0, 0, 0x61, 4},
    {0, 0, 0x62, 4},
    {0, 0, 0x63, 4},
    {0, 0, 0x64, 4},
    {0, 0, 0x65, 4},
    {0, 0, 0x66, 4},
    {0, 0, 0x67, 4},
    {0, 0, 0x68, 4},
    {0, 0, 0x69, 4},
    {0, 0, 0x6A, 4},
    {0, 0, 0x6B, 4},
    {0, 0, 0x6C, 4},
    {0, 0, 0x6D, 4},
    {0, 0, 0x6E, 4},
    {0, 0, 0x6F, 4},
    {0, 0, 0x70, 4},
    {0, 0, 0x71, 4},
    {0, 0, 0x72, 4},
    {0, 0, 0x73, 4},
    {0, 0, 0x74, 4},
    {0, 0, 0x75, 4},
    {0, 0, 0x76, 4},
    {0, 0, 0x77, 4},
    {0, 0, 0x78, 4},
    {0, 0, 0x79, 4},
    {0, 0, 0x7A, 4},
    {0, 0, 0x7B, 4},
    {0, 0, 0x7C, 4},
    {0, 0, 0x7D, 4},
    {0, 0, 0x7E, 4},
    {0, 0, 0x7F, 4},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 4},
    {1, 5, 0x0, 0},
    {0, 0, 0x2, 4},
    {0, 0, 0x3, 4},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x4, 4},
    {0, 0, 0x5, 4},
    {0, 0, 0x6, 4},
    {0, 0, 0x7, 4},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x8, 4},
    {0, 0, 0x9, 4},
    {0, 0, 0xA, 4},
    {0, 0, 0xB, 4},
    {0, 0, 0xC, 4},
    {0, 0, 0xD, 4},
    {0, 0, 0xE, 4},
    {0, 0, 0xF, 4},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x10, 4},
    {0, 0, 0x11, 4},
    {0, 0, 0x12, 4},
    {0, 0, 0x13, 4},
    {0, 0, 0x14, 4},
    {0, 0, 0x15, 4},
    {0, 0, 0x16, 4},
    {0, 0, 0x17, 4},
    {0, 0, 0x18, 4},
    {0, 0, 0x19, 4},
    {0, 0, 0x1A, 4},
    {0, 0, 0x1B, 4},
    {0, 0, 0x1C, 4},
    {0, 0, 0x1D, 4},
    {0, 0, 0x1E, 4},
    {0, 0, 0x1F, 4},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x20, 4},
    {0, 0, 0x21, 4},
    {0, 0, 0x22, 4},
    {0, 0, 0x23, 4},
    {0, 0, 0x24, 4},
    {0, 0, 0x25, 4},
    {0, 0, 0x26, 4},
    {0, 0, 0x27, 4},
    {0, 0, 0x28, 4},
    {0, 0, 0x29, 4},
    {0, 0, 0x2A, 4},
    {0, 0, 0x2B, 4},
    {0, 0, 0x2C, 4},
    {0, 0, 0x2D, 4},
    {0, 0, 0x2E, 4},
    {0, 0, 0x2F, 4},
    {0, 0, 0x30, 4},
    {0, 0, 0x31, 4},
    {0, 0, 0x32, 4},
    {0, 0, 0x33, 4},
    {0, 0, 0x34, 4},
    {0, 0, 0x35, 4},
    {0, 0, 0x36, 4},
    {0, 0, 0x37, 4},
    {0, 0, 0x38, 4},
    {0, 0, 0x39, 4},
    {0, 0, 0x3A, 4},
    {0, 0, 0x3B, 4},
    {0, 0, 0x3C, 4},
    {0, 0, 0x3D, 4},
    {0, 0, 0x3E, 4},
    {0, 0, 0x3F, 4},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x40, 4},
    {0, 0, 0x41, 4},
    {0, 0, 0x42, 4},
    {0, 0, 0x43, 4},
    {0, 0, 0x44, 4},
    {0, 0, 0x45, 4},
    {0, 0, 0x46, 4},
    {0, 0, 0x47, 4},
    {0, 0, 0x48, 4},
    {0, 0, 0x49, 4},
    {0, 0, 0x4A, 4},
    {0, 0, 0x4B, 4},
    {0, 0, 0x4C, 4},
    {0, 0, 0x4D, 4},
    {0, 0, 0x4E, 4},
    {0, 0, 0x4F, 4},
    {0, 0, 0x50, 4},
    {0, 0, 0x51, 4},
    {0, 0, 0x52, 4},
    {0, 0, 0x53, 4},
    {0, 0, 0x54, 4},
    {0, 0, 0x55, 4},
    {0, 0, 0x56, 4},
    {0, 0, 0x57, 4},
    {0, 0, 0x58, 4},
    {0, 0, 0x59, 4},
    {0, 0, 0x5A, 4},
    {0, 0, 0x5B, 4},
    {0, 0, 0x5C, 4},
    {0, 0, 0x5D, 4},
    {0, 0, 0x5E, 4},
    {0, 0, 0x5F, 4},
    {0, 0, 0x60, 4},
    {0, 0, 0x61, 4},
    {0, 0, 0x62, 4},
    {0, 0, 0x63, 4},
    {0, 0, 0x64, 4},
    {0, 0, 0x65, 4},
    {0, 0, 0x66, 4},
    {0, 0, 0x67, 4},
    {0, 0, 0x68, 4},
    {0, 0, 0x69, 4},
    {0, 0, 0x6A, 4},
    {0, 0, 0x6B, 4},
    {0, 0, 0x6C, 4},
    {0, 0, 0x6D, 4},
    {0, 0, 0x6E, 4},
    {0, 0, 0x6F, 4},
    {0, 0, 0x70, 4},
    {0, 0, 0x71, 4},
    {0, 0, 0x72, 4},
    {0, 0, 0x73, 4},
    {0, 0, 0x74, 4},
    {0, 0, 0x75, 4},
    {0, 0, 0x76, 4},
    {0, 0, 0x77, 4},
    {0, 0, 0x78, 4},
    {0, 0, 0x79, 4},
    {0, 0, 0x7A, 4},
    {0, 0, 0x7B, 4},
    {0, 0, 0x7C, 4},
    {0, 0, 0x7D, 4},
    {0, 0, 0x7E, 4},
    {0, 0, 0x7F, 4},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x80, 4},
    {0, 0, 0x81, 4},
    {0, 0, 0x82, 4},
    {0, 0, 0x83, 4},
    {0, 0, 0x84, 4},
    {0, 0, 0x85, 4},
    {0, 0, 0x86, 4},
    {0, 0, 0x87, 4},
    {0, 0, 0x88, 4},
    {0, 0, 0x89, 4},
    {0, 0, 0x8A, 4},
    {0, 0, 0x8B, 4},
    {0, 0, 0x8C, 4},
    {0, 0, 0x8D, 4},
    {0, 0, 0x8E, 4},
    {0, 0, 0x8F, 4},
    {0, 0, 0x90, 4},
    {0, 0, 0x91, 4},
    {0, 0, 0x92, 4},
    {0, 0, 0x93, 4},
    {0, 0, 0x94, 4},
    {0, 0, 0x95, 4},
    {0, 0, 0x96, 4},
    {0, 0, 0x97, 4},
    {0, 0, 0x98, 4},
    {0, 0, 0x99, 4},
    {0, 0, 0x9A, 4},
    {0, 0, 0x9B, 4},
    {0, 0, 0x9C, 4},
    {0, 0, 0x9D, 4},
    {0, 0, 0x9E, 4},
    {0, 0, 0x9F, 4},
    {0, 0, 0xA0, 4},
    {0, 0, 0xA1, 4},
    {0, 0, 0xA2, 4},
    {0, 0, 0xA3, 4},
    {0, 0, 0xA4, 4},
    {0, 0, 0xA5, 4},
    {0, 0, 0xA6, 4},
    {0, 0, 0xA7, 4},
    {0, 0, 0xA8, 4},
    {0, 0, 0xA9, 4},
    {0, 0, 0xAA, 4},
    {0, 0, 0xAB, 4},
    {0, 0, 0xAC, 4},
    {0, 0, 0xAD, 4},
    {0, 0, 0xAE, 4},
    {0, 0, 0xAF, 4},
    {0, 0, 0xB0, 4},
    {0, 0, 0xB1, 4},
    {0, 0, 0xB2, 4},
    {0, 0, 0xB3, 4},
    {0, 0, 0xB4, 4},
    {0, 0, 0xB5, 4},
    {0, 0, 0xB6, 4},
    {0, 0, 0xB7, 4},
    {0, 0, 0xB8, 4},
    {0, 0, 0xB9, 4},
    {0, 0, 0xBA, 4},
    {0, 0, 0xBB, 4},
    {0, 0, 0xBC, 4},
    {0, 0, 0xBD, 4},
    {0, 0, 0xBE, 4},
    {0, 0, 0xBF, 4},
    {0, 0, 0xC0, 4},
    {0, 0, 0xC1, 4},
    {0, 0, 0xC2, 4},
    {0, 0, 0xC3, 4},
    {0, 0, 0xC4, 4},
    {0, 0, 0xC5, 4},
    {0, 0, 0xC6, 4},
    {0, 0, 0xC7, 4},
    {0, 0, 0xC8, 4},
    {0, 0, 0xC9, 4},
    {0, 0, 0xCA, 4},
    {0, 0, 0xCB, 4},
    {0, 0, 0xCC, 4},
    {0, 0, 0xCD, 4},
    {0, 0, 0xCE, 4},
    {0, 0, 0xCF, 4},
    {0, 0, 0xD0, 4},
    {0, 0, 0xD1, 4},
    {0, 0, 0xD2, 4},
    {0, 0, 0xD3, 4},
    {0, 0, 0xD4, 4},
    {0, 0, 0xD5, 4},
    {0, 0, 0xD6, 4},
    {0, 0, 0xD7, 4},
    {0, 0, 0xD8, 4},
    {0, 0, 0xD9, 4},
    {0, 0, 0xDA, 4},
    {0, 0, 0xDB, 4},
    {0, 0, 0xDC, 4},
    {0, 0, 0xDD, 4},
    {0, 0, 0xDE, 4},
    {0, 0, 0xDF, 4},
    {0, 0, 0xE0, 4},
    {0, 0, 0xE1, 4},
    {0, 0, 0xE2, 4},
    {0, 0, 0xE3, 4},
    {0, 0, 0xE4, 4},
    {0, 0, 0xE5, 4},
    {0, 0, 0xE6, 4},
    {0, 0, 0xE7, 4},
    {0, 0, 0xE8, 4},
    {0, 0, 0xE9, 4},
    {0, 0, 0xEA, 4},
    {0, 0, 0xEB, 4},
    {0, 0, 0xEC, 4},
    {0, 0, 0xED, 4},
    {0, 0, 0xEE, 4},
    {0, 0, 0xEF, 4},
    {0, 0, 0xF0, 4},
    {0, 0, 0xF1, 4},
    {0, 0, 0xF2, 4},
    {0, 0, 0xF3, 4},
    {0, 0, 0xF4, 4},
    {0, 0, 0xF5, 4},
    {0, 0, 0xF6, 4},
    {0, 0, 0xF7, 4},
    {0, 0, 0xF8, 4},
    {0, 0, 0xF9, 4},
    {0, 0, 0xFA, 4},
    {0, 0, 0xFB, 4},
    {0, 0, 0xFC, 4},
    {0, 0, 0xFD, 4},
    {0, 0, 0xFE, 4},
    {0, 0, 0xFF, 4},
    {0, 0, 0x40, 5},
    {0, 0, 0x41, 5},
    {0, 0, 0x42, 5},
    {0, 0, 0x43, 5},
    {0, 0, 0x44, 5},
    {0, 0, 0x45, 5},
    {0, 0, 0x46, 5},
    {0, 0, 0x47, 5},
    {0, 0, 0x48, 5},
    {0, 0, 0x49, 5},
    {0, 0, 0x4A, 5},
    {0, 0, 0x4B, 5},
    {0, 0, 0x4C, 5},
    {0, 0, 0x4D, 5},
    {0, 0, 0x4E, 5},
    {0, 0, 0x4F, 5},
    {0, 0, 0x50, 5},
    {0, 0, 0x51, 5},
    {0, 0, 0x52, 5},
    {0, 0, 0x53, 5},
    {0, 0, 0x54, 5},
    {0, 0, 0x55, 5},
    {0, 0, 0x56, 5},
    {0, 0, 0x57, 5},
    {0, 0, 0x58, 5},
    {0, 0, 0x59, 5},
    {0, 0, 0x5A, 5},
    {0, 0, 0x5B, 5},
    {0, 0, 0x5C, 5},
    {0, 0, 0x5D, 5},
    {0, 0, 0x5E, 5},
    {0, 0, 0x5F, 5},
    {0, 0, 0x60, 5},
    {0, 0, 0x61, 5},
    {0, 0, 0x62, 5},
    {0, 0, 0x63, 5},
    {0, 0, 0x64, 5},
    {0, 0, 0x65, 5},
    {0, 0, 0x66, 5},
    {0, 0, 0x67, 5},
    {0, 0, 0x68, 5},
    {0, 0, 0x69, 5},
    {0, 0, 0x6A, 5},
    {0, 0, 0x6B, 5},
    {0, 0, 0x6C, 5},
    {0, 0, 0x6D, 5},
    {0, 0, 0x6E, 5},
    {0, 0, 0x6F, 5},
    {0, 0, 0x70, 5},
    {0, 0, 0x71, 5},
    {0, 0, 0x72, 5},
    {0, 0, 0x73, 5},
    {0, 0, 0x74, 5},
    {0, 0, 0x75, 5},
    {0, 0, 0x76, 5},
    {0, 0, 0x77, 5},
    {0, 0, 0x78, 5},
    {0, 0, 0x79, 5},
    {0, 0, 0x7A, 5},
    {0, 0, 0x7B, 5},
    {0, 0, 0x7C, 5},
    {0, 0, 0x7D, 5},
    {0, 0, 0x7E, 5},
    {0, 0, 0x7F, 5},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 5},
    {1, 6, 0x0, 0},
    {0, 0, 0x2, 5},
    {0, 0, 0x3, 5},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x4, 5},
    {0, 0, 0x5, 5},
    {0, 0, 0x6, 5},
    {0, 0, 0x7, 5},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x8, 5},
    {0, 0, 0x9, 5},
    {0, 0, 0xA, 5},
    {0, 0, 0xB, 5},
    {0, 0, 0xC, 5},
    {0, 0, 0xD, 5},
    {0, 0, 0xE, 5},
    {0, 0, 0xF, 5},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x10, 5},
    {0, 0, 0x11, 5},
    {0, 0, 0x12, 5},
    {0, 0, 0x13, 5},
    {0, 0, 0x14, 5},
    {0, 0, 0x15, 5},
    {0, 0, 0x16, 5},
    {0, 0, 0x17, 5},
    {0, 0, 0x18, 5},
    {0, 0, 0x19, 5},
    {0, 0, 0x1A, 5},
    {0, 0, 0x1B, 5},
    {0, 0, 0x1C, 5},
    {0, 0, 0x1D, 5},
    {0, 0, 0x1E, 5},
    {0, 0, 0x1F, 5},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x20, 5},
    {0, 0, 0x21, 5},
    {0, 0, 0x22, 5},
    {0, 0, 0x23, 5},
    {0, 0, 0x24, 5},
    {0, 0, 0x25, 5},
    {0, 0, 0x26, 5},
    {0, 0, 0x27, 5},
    {0, 0, 0x28, 5},
    {0, 0, 0x29, 5},
    {0, 0, 0x2A, 5},
    {0, 0, 0x2B, 5},
    {0, 0, 0x2C, 5},
    {0, 0, 0x2D, 5},
    {0, 0, 0x2E, 5},
    {0, 0, 0x2F, 5},
    {0, 0, 0x30, 5},
    {0, 0, 0x31, 5},
    {0, 0, 0x32, 5},
    {0, 0, 0x33, 5},
    {0, 0, 0x34, 5},
    {0, 0, 0x35, 5},
    {0, 0, 0x36, 5},
    {0, 0, 0x37, 5},
    {0, 0, 0x38, 5},
    {0, 0, 0x39, 5},
    {0, 0, 0x3A, 5},
    {0, 0, 0x3B, 5},
    {0, 0, 0x3C, 5},
    {0, 0, 0x3D, 5},
    {0, 0, 0x3E, 5},
    {0, 0, 0x3F, 5},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x40, 5},
    {0, 0, 0x41, 5},
    {0, 0, 0x42, 5},
    {0, 0, 0x43, 5},
    {0, 0, 0x44, 5},
    {0, 0, 0x45, 5},
    {0, 0, 0x46, 5},
    {0, 0, 0x47, 5},
    {0, 0, 0x48, 5},
    {0, 0, 0x49, 5},
    {0, 0, 0x4A, 5},
    {0, 0, 0x4B, 5},
    {0, 0, 0x4C, 5},
    {0, 0, 0x4D, 5},
    {0, 0, 0x4E, 5},
    {0, 0, 0x4F, 5},
    {0, 0, 0x50, 5},
    {0, 0, 0x51, 5},
    {0, 0, 0x52, 5},
    {0, 0, 0x53, 5},
    {0, 0, 0x54, 5},
    {0, 0, 0x55, 5},
    {0, 0, 0x56, 5},
    {0, 0, 0x57, 5},
    {0, 0, 0x58, 5},
    {0, 0, 0x59, 5},
    {0, 0, 0x5A, 5},
    {0, 0, 0x5B, 5},
    {0, 0, 0x5C, 5},
    {0, 0, 0x5D, 5},
    {0, 0, 0x5E, 5},
    {0, 0, 0x5F, 5},
    {0, 0, 0x60, 5},
    {0, 0, 0x61, 5},
    {0, 0, 0x62, 5},
    {0, 0, 0x63, 5},
    {0, 0, 0x64, 5},
    {0, 0, 0x65, 5},
    {0, 0, 0x66, 5},
    {0, 0, 0x67, 5},
    {0, 0, 0x68, 5},
    {0, 0, 0x69, 5},
    {0, 0, 0x6A, 5},
    {0, 0, 0x6B, 5},
    {0, 0, 0x6C, 5},
    {0, 0, 0x6D, 5},
    {0, 0, 0x6E, 5},
    {0, 0, 0x6F, 5},
    {0, 0, 0x70, 5},
    {0, 0, 0x71, 5},
    {0, 0, 0x72, 5},
    {0, 0, 0x73, 5},
    {0, 0, 0x74, 5},
    {0, 0, 0x75, 5},
    {0, 0, 0x76, 5},
    {0, 0, 0x77, 5},
    {0, 0, 0x78, 5},
    {0, 0, 0x79, 5},
    {0, 0, 0x7A, 5},
    {0, 0, 0x7B, 5},
    {0, 0, 0x7C, 5},
    {0, 0, 0x7D, 5},
    {0, 0, 0x7E, 5},
    {0, 0, 0x7F, 5},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x80, 5},
    {0, 0, 0x81, 5},
    {0, 0, 0x82, 5},
    {0, 0, 0x83, 5},
    {0, 0, 0x84, 5},
    {0, 0, 0x85, 5},
    {0, 0, 0x86, 5},
    {0, 0, 0x87, 5},
    {0, 0, 0x88, 5},
    {0, 0, 0x89, 5},
    {0, 0, 0x8A, 5},
    {0, 0, 0x8B, 5},
    {0, 0, 0x8C, 5},
    {0, 0, 0x8D, 5},
    {0, 0, 0x8E, 5},
    {0, 0, 0x8F, 5},
    {0, 0, 0x90, 5},
    {0, 0, 0x91, 5},
    {0, 0, 0x92, 5},
    {0, 0, 0x93, 5},
    {0, 0, 0x94, 5},
    {0, 0, 0x95, 5},
    {0, 0, 0x96, 5},
    {0, 0, 0x97, 5},
    {0, 0, 0x98, 5},
    {0, 0, 0x99, 5},
    {0, 0, 0x9A, 5},
    {0, 0, 0x9B, 5},
    {0, 0, 0x9C, 5},
    {0, 0, 0x9D, 5},
    {0, 0, 0x9E, 5},
    {0, 0, 0x9F, 5},
    {0, 0, 0xA0, 5},
    {0, 0, 0xA1, 5},
    {0, 0, 0xA2, 5},
    {0, 0, 0xA3, 5},
    {0, 0, 0xA4, 5},
    {0, 0, 0xA5, 5},
    {0, 0, 0xA6, 5},
    {0, 0, 0xA7, 5},
    {0, 0, 0xA8, 5},
    {0, 0, 0xA9, 5},
    {0, 0, 0xAA, 5},
    {0, 0, 0xAB, 5},
    {0, 0, 0xAC, 5},
    {0, 0, 0xAD, 5},
    {0, 0, 0xAE, 5},
    {0, 0, 0xAF, 5},
    {0, 0, 0xB0, 5},
    {0, 0, 0xB1, 5},
    {0, 0, 0xB2, 5},
    {0, 0, 0xB3, 5},
    {0, 0, 0xB4, 5},
    {0, 0, 0xB5, 5},
    {0, 0, 0xB6, 5},
    {0, 0, 0xB7, 5},
    {0, 0, 0xB8, 5},
    {0, 0, 0xB9, 5},
    {0, 0, 0xBA, 5},
    {0, 0, 0xBB, 5},
    {0, 0, 0xBC, 5},
    {0, 0, 0xBD, 5},
    {0, 0, 0xBE, 5},
    {0, 0, 0xBF, 5},
    {0, 0, 0xC0, 5},
    {0, 0, 0xC1, 5},
    {0, 0, 0xC2, 5},
    {0, 0, 0xC3, 5},
    {0, 0, 0xC4, 5},
    {0, 0, 0xC5, 5},
    {0, 0, 0xC6, 5},
    {0, 0, 0xC7, 5},
    {0, 0, 0xC8, 5},
    {0, 0, 0xC9, 5},
    {0, 0, 0xCA, 5},
    {0, 0, 0xCB, 5},
    {0, 0, 0xCC, 5},
    {0, 0, 0xCD, 5},
    {0, 0, 0xCE, 5},
    {0, 0, 0xCF, 5},
    {0, 0, 0xD0, 5},
    {0, 0, 0xD1, 5},
    {0, 0, 0xD2, 5},
    {0, 0, 0xD3, 5},
    {0, 0, 0xD4, 5},
    {0, 0, 0xD5, 5},
    {0, 0, 0xD6, 5},
    {0, 0, 0xD7, 5},
    {0, 0, 0xD8, 5},
    {0, 0, 0xD9, 5},
    {0, 0, 0xDA, 5},
    {0, 0, 0xDB, 5},
    {0, 0, 0xDC, 5},
    {0, 0, 0xDD, 5},
    {0, 0, 0xDE, 5},
    {0, 0, 0xDF, 5},
    {0, 0, 0xE0, 5},
    {0, 0, 0xE1, 5},
    {0, 0, 0xE2, 5},
    {0, 0, 0xE3, 5},
    {0, 0, 0xE4, 5},
    {0, 0, 0xE5, 5},
    {0, 0, 0xE6, 5},
    {0, 0, 0xE7, 5},
    {0, 0, 0xE8, 5},
    {0, 0, 0xE9, 5},
    {0, 0, 0xEA, 5},
    {0, 0, 0xEB, 5},
    {0, 0, 0xEC, 5},
    {0, 0, 0xED, 5},
    {0, 0, 0xEE, 5},
    {0, 0, 0xEF, 5},
    {0, 0, 0xF0, 5},
    {0, 0, 0xF1, 5},
    {0, 0, 0xF2, 5},
    {0, 0, 0xF3, 5},
    {0, 0, 0xF4, 5},
    {0, 0, 0xF5, 5},
    {0, 0, 0xF6, 5},
    {0, 0, 0xF7, 5},
    {0, 0, 0xF8, 5},
    {0, 0, 0xF9, 5},
    {0, 0, 0xFA, 5},
    {0, 0, 0xFB, 5},
    {0, 0, 0xFC, 5},
    {0, 0, 0xFD, 5},
    {0, 0, 0xFE, 5},
    {0, 0, 0xFF, 5},
    {0, 0, 0x40, 6},
    {0, 0, 0x41, 6},
    {0, 0, 0x42, 6},
    {0, 0, 0x43, 6},
    {0, 0, 0x44, 6},
    {0, 0, 0x45, 6},
    {0, 0, 0x46, 6},
    {0, 0, 0x47, 6},
    {0, 0, 0x48, 6},
    {0, 0, 0x49, 6},
    {0, 0, 0x4A, 6},
    {0, 0, 0x4B, 6},
    {0, 0, 0x4C, 6},
    {0, 0, 0x4D, 6},
    {0, 0, 0x4E, 6},
    {0, 0, 0x4F, 6},
    {0, 0, 0x50, 6},
    {0, 0, 0x51, 6},
    {0, 0, 0x52, 6},
    {0, 0, 0x53, 6},
    {0, 0, 0x54, 6},
    {0, 0, 0x55, 6},
    {0, 0, 0x56, 6},
    {0, 0, 0x57, 6},
    {0, 0, 0x58, 6},
    {0, 0, 0x59, 6},
    {0, 0, 0x5A, 6},
    {0, 0, 0x5B, 6},
    {0, 0, 0x5C, 6},
    {0, 0, 0x5D, 6},
    {0, 0, 0x5E, 6},
    {0, 0, 0x5F, 6},
    {0, 0, 0x60, 6},
    {0, 0, 0x61, 6},
    {0, 0, 0x62, 6},
    {0, 0, 0x63, 6},
    {0, 0, 0x64, 6},
    {0, 0, 0x65, 6},
    {0, 0, 0x66, 6},
    {0, 0, 0x67, 6},
    {0, 0, 0x68, 6},
    {0, 0, 0x69, 6},
    {0, 0, 0x6A, 6},
    {0, 0, 0x6B, 6},
    {0, 0, 0x6C, 6},
    {0, 0, 0x6D, 6},
    {0, 0, 0x6E, 6},
    {0, 0, 0x6F, 6},
    {0, 0, 0x70, 6},
    {0, 0, 0x71, 6},
    {0, 0, 0x72, 6},
    {0, 0, 0x73, 6},
    {0, 0, 0x74, 6},
    {0, 0, 0x75, 6},
    {0, 0, 0x76, 6},
    {0, 0, 0x77, 6},
    {0, 0, 0x78, 6},
    {0, 0, 0x79, 6},
    {0, 0, 0x7A, 6},
    {0, 0, 0x7B, 6},
    {0, 0, 0x7C, 6},
    {0, 0, 0x7D, 6},
    {0, 0, 0x7E, 6},
    {0, 0, 0x7F, 6},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 6},
    {1, 7, 0x0, 0},
    {0, 0, 0x2, 6},
    {0, 0, 0x3, 6},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x4, 6},
    {0, 0, 0x5, 6},
    {0, 0, 0x6, 6},
    {0, 0, 0x7, 6},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x8, 6},
    {0, 0, 0x9, 6},
    {0, 0, 0xA, 6},
    {0, 0, 0xB, 6},
    {0, 0, 0xC, 6},
    {0, 0, 0xD, 6},
    {0, 0, 0xE, 6},
    {0, 0, 0xF, 6},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x10, 6},
    {0, 0, 0x11, 6},
    {0, 0, 0x12, 6},
    {0, 0, 0x13, 6},
    {0, 0, 0x14, 6},
    {0, 0, 0x15, 6},
    {0, 0, 0x16, 6},
    {0, 0, 0x17, 6},
    {0, 0, 0x18, 6},
    {0, 0, 0x19, 6},
    {0, 0, 0x1A, 6},
    {0, 0, 0x1B, 6},
    {0, 0, 0x1C, 6},
    {0, 0, 0x1D, 6},
    {0, 0, 0x1E, 6},
    {0, 0, 0x1F, 6},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x20, 6},
    {0, 0, 0x21, 6},
    {0, 0, 0x22, 6},
    {0, 0, 0x23, 6},
    {0, 0, 0x24, 6},
    {0, 0, 0x25, 6},
    {0, 0, 0x26, 6},
    {0, 0, 0x27, 6},
    {0, 0, 0x28, 6},
    {0, 0, 0x29, 6},
    {0, 0, 0x2A, 6},
    {0, 0, 0x2B, 6},
    {0, 0, 0x2C, 6},
    {0, 0, 0x2D, 6},
    {0, 0, 0x2E, 6},
    {0, 0, 0x2F, 6},
    {0, 0, 0x30, 6},
    {0, 0, 0x31, 6},
    {0, 0, 0x32, 6},
    {0, 0, 0x33, 6},
    {0, 0, 0x34, 6},
    {0, 0, 0x35, 6},
    {0, 0, 0x36, 6},
    {0, 0, 0x37, 6},
    {0, 0, 0x38, 6},
    {0, 0, 0x39, 6},
    {0, 0, 0x3A, 6},
    {0, 0, 0x3B, 6},
    {0, 0, 0x3C, 6},
    {0, 0, 0x3D, 6},
    {0, 0, 0x3E, 6},
    {0, 0, 0x3F, 6},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x40, 6},
    {0, 0, 0x41, 6},
    {0, 0, 0x42, 6},
    {0, 0, 0x43, 6},
    {0, 0, 0x44, 6},
    {0, 0, 0x45, 6},
    {0, 0, 0x46, 6},
    {0, 0, 0x47, 6},
    {0, 0, 0x48, 6},
    {0, 0, 0x49, 6},
    {0, 0, 0x4A, 6},
    {0, 0, 0x4B, 6},
    {0, 0, 0x4C, 6},
    {0, 0, 0x4D, 6},
    {0, 0, 0x4E, 6},
    {0, 0, 0x4F, 6},
    {0, 0, 0x50, 6},
    {0, 0, 0x51, 6},
    {0, 0, 0x52, 6},
    {0, 0, 0x53, 6},
    {0, 0, 0x54, 6},
    {0, 0, 0x55, 6},
    {0, 0, 0x56, 6},
    {0, 0, 0x57, 6},
    {0, 0, 0x58, 6},
    {0, 0, 0x59, 6},
    {0, 0, 0x5A, 6},
    {0, 0, 0x5B, 6},
    {0, 0, 0x5C, 6},
    {0, 0, 0x5D, 6},
    {0, 0, 0x5E, 6},
    {0, 0, 0x5F, 6},
    {0, 0, 0x60, 6},
    {0, 0, 0x61, 6},
    {0, 0, 0x62, 6},
    {0, 0, 0x63, 6},
    {0, 0, 0x64, 6},
    {0, 0, 0x65, 6},
    {0, 0, 0x66, 6},
    {0, 0, 0x67, 6},
    {0, 0, 0x68, 6},
    {0, 0, 0x69, 6},
    {0, 0, 0x6A, 6},
    {0, 0, 0x6B, 6},
    {0, 0, 0x6C, 6},
    {0, 0, 0x6D, 6},
    {0, 0, 0x6E, 6},
    {0, 0, 0x6F, 6},
    {0, 0, 0x70, 6},
    {0, 0, 0x71, 6},
    {0, 0, 0x72, 6},
    {0, 0, 0x73, 6},
    {0, 0, 0x74, 6},
    {0, 0, 0x75, 6},
    {0, 0, 0x76, 6},
    {0, 0, 0x77, 6},
    {0, 0, 0x78, 6},
    {0, 0, 0x79, 6},
    {0, 0, 0x7A, 6},
    {0, 0, 0x7B, 6},
    {0, 0, 0x7C, 6},
    {0, 0, 0x7D, 6},
    {0, 0, 0x7E, 6},
    {0, 0, 0x7F, 6},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x80, 6},
    {0, 0, 0x81, 6},
    {0, 0, 0x82, 6},
    {0, 0, 0x83, 6},
    {0, 0, 0x84, 6},
    {0, 0, 0x85, 6},
    {0, 0, 0x86, 6},
    {0, 0, 0x87, 6},
    {0, 0, 0x88, 6},
    {0, 0, 0x89, 6},
    {0, 0, 0x8A, 6},
    {0, 0, 0x8B, 6},
    {0, 0, 0x8C, 6},
    {0, 0, 0x8D, 6},
    {0, 0, 0x8E, 6},
    {0, 0, 0x8F, 6},
    {0, 0, 0x90, 6},
    {0, 0, 0x91, 6},
    {0, 0, 0x92, 6},
    {0, 0, 0x93, 6},
    {0, 0, 0x94, 6},
    {0, 0, 0x95, 6},
    {0, 0, 0x96, 6},
    {0, 0, 0x97, 6},
    {0, 0, 0x98, 6},
    {0, 0, 0x99, 6},
    {0, 0, 0x9A, 6},
    {0, 0, 0x9B, 6},
    {0, 0, 0x9C, 6},
    {0, 0, 0x9D, 6},
    {0, 0, 0x9E, 6},
    {0, 0, 0x9F, 6},
    {0, 0, 0xA0, 6},
    {0, 0, 0xA1, 6},
    {0, 0, 0xA2, 6},
    {0, 0, 0xA3, 6},
    {0, 0, 0xA4, 6},
    {0, 0, 0xA5, 6},
    {0, 0, 0xA6, 6},
    {0, 0, 0xA7, 6},
    {0, 0, 0xA8, 6},
    {0, 0, 0xA9, 6},
    {0, 0, 0xAA, 6},
    {0, 0, 0xAB, 6},
    {0, 0, 0xAC, 6},
    {0, 0, 0xAD, 6},
    {0, 0, 0xAE, 6},
    {0, 0, 0xAF, 6},
    {0, 0, 0xB0, 6},
    {0, 0, 0xB1, 6},
    {0, 0, 0xB2, 6},
    {0, 0, 0xB3, 6},
    {0, 0, 0xB4, 6},
    {0, 0, 0xB5, 6},
    {0, 0, 0xB6, 6},
    {0, 0, 0xB7, 6},
    {0, 0, 0xB8, 6},
    {0, 0, 0xB9, 6},
    {0, 0, 0xBA, 6},
    {0, 0, 0xBB, 6},
    {0, 0, 0xBC, 6},
    {0, 0, 0xBD, 6},
    {0, 0, 0xBE, 6},
    {0, 0, 0xBF, 6},
    {0, 0, 0xC0, 6},
    {0, 0, 0xC1, 6},
    {0, 0, 0xC2, 6},
    {0, 0, 0xC3, 6},
    {0, 0, 0xC4, 6},
    {0, 0, 0xC5, 6},
    {0, 0, 0xC6, 6},
    {0, 0, 0xC7, 6},
    {0, 0, 0xC8, 6},
    {0, 0, 0xC9, 6},
    {0, 0, 0xCA, 6},
    {0, 0, 0xCB, 6},
    {0, 0, 0xCC, 6},
    {0, 0, 0xCD, 6},
    {0, 0, 0xCE, 6},
    {0, 0, 0xCF, 6},
    {0, 0, 0xD0, 6},
    {0, 0, 0xD1, 6},
    {0, 0, 0xD2, 6},
    {0, 0, 0xD3, 6},
    {0, 0, 0xD4, 6},
    {0, 0, 0xD5, 6},
    {0, 0, 0xD6, 6},
    {0, 0, 0xD7, 6},
    {0, 0, 0xD8, 6},
    {0, 0, 0xD9, 6},
    {0, 0, 0xDA, 6},
    {0, 0, 0xDB, 6},
    {0, 0, 0xDC, 6},
    {0, 0, 0xDD, 6},
    {0, 0, 0xDE, 6},
    {0, 0, 0xDF, 6},
    {0, 0, 0xE0, 6},
    {0, 0, 0xE1, 6},
    {0, 0, 0xE2, 6},
    {0, 0, 0xE3, 6},
    {0, 0, 0xE4, 6},
    {0, 0, 0xE5, 6},
    {0, 0, 0xE6, 6},
    {0, 0, 0xE7, 6},
    {0, 0, 0xE8, 6},
    {0, 0, 0xE9, 6},
    {0, 0, 0xEA, 6},
    {0, 0, 0xEB, 6},
    {0, 0, 0xEC, 6},
    {0, 0, 0xED, 6},
    {0, 0, 0xEE, 6},
    {0, 0, 0xEF, 6},
    {0, 0, 0xF0, 6},
    {0, 0, 0xF1, 6},
    {0, 0, 0xF2, 6},
    {0, 0, 0xF3, 6},
    {0, 0, 0xF4, 6},
    {0, 0, 0xF5, 6},
    {0, 0, 0xF6, 6},
    {0, 0, 0xF7, 6},
    {0, 0, 0xF8, 6},
    {0, 0, 0xF9, 6},
    {0, 0, 0xFA, 6},
    {0, 0, 0xFB, 6},
    {0, 0, 0xFC, 6},
    {0, 0, 0xFD, 6},
    {0, 0, 0xFE, 6},
    {0, 0, 0xFF, 6},
    {0, 0, 0x40, 7},
    {0, 0, 0x41, 7},
    {0, 0, 0x42, 7},
    {0, 0, 0x43, 7},
    {0, 0, 0x44, 7},
    {0, 0, 0x45, 7},
    {0, 0, 0x46, 7},
    {0, 0, 0x47, 7},
    {0, 0, 0x48, 7},
    {0, 0, 0x49, 7},
    {0, 0, 0x4A, 7},
    {0, 0, 0x4B, 7},
    {0, 0, 0x4C, 7},
    {0, 0, 0x4D, 7},
    {0, 0, 0x4E, 7},
    {0, 0, 0x4F, 7},
    {0, 0, 0x50, 7},
    {0, 0, 0x51, 7},
    {0, 0, 0x52, 7},
    {0, 0, 0x53, 7},
    {0, 0, 0x54, 7},
    {0, 0, 0x55, 7},
    {0, 0, 0x56, 7},
    {0, 0, 0x57, 7},
    {0, 0, 0x58, 7},
    {0, 0, 0x59, 7},
    {0, 0, 0x5A, 7},
    {0, 0, 0x5B, 7},
    {0, 0, 0x5C, 7},
    {0, 0, 0x5D, 7},
    {0, 0, 0x5E, 7},
    {0, 0, 0x5F, 7},
    {0, 0, 0x60, 7},
    {0, 0, 0x61, 7},
    {0, 0, 0x62, 7},
    {0, 0, 0x63, 7},
    {0, 0, 0x64, 7},
    {0, 0, 0x65, 7},
    {0, 0, 0x66, 7},
    {0, 0, 0x67, 7},
    {0, 0, 0x68, 7},
    {0, 0, 0x69, 7},
    {0, 0, 0x6A, 7},
    {0, 0, 0x6B, 7},
    {0, 0, 0x6C, 7},
    {0, 0, 0x6D, 7},
    {0, 0, 0x6E, 7},
    {0, 0, 0x6F, 7},
    {0, 0, 0x70, 7},
    {0, 0, 0x71, 7},
    {0, 0, 0x72, 7},
    {0, 0, 0x73, 7},
    {0, 0, 0x74, 7},
    {0, 0, 0x75, 7},
    {0, 0, 0x76, 7},
    {0, 0, 0x77, 7},
    {0, 0, 0x78, 7},
    {0, 0, 0x79, 7},
    {0, 0, 0x7A, 7},
    {0, 0, 0x7B, 7},
    {0, 0, 0x7C, 7},
    {0, 0, 0x7D, 7},
    {0, 0, 0x7E, 7},
    {0, 0, 0x7F, 7},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 7},
    {1, 8, 0x0, 0},
    {0, 0, 0x2, 7},
    {0, 0, 0x3, 7},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x4, 7},
    {0, 0, 0x5, 7},
    {0, 0, 0x6, 7},
    {0, 0, 0x7, 7},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x8, 7},
    {0, 0, 0x9, 7},
    {0, 0, 0xA, 7},
    {0, 0, 0xB, 7},
    {0, 0, 0xC, 7},
    {0, 0, 0xD, 7},
    {0, 0, 0xE, 7},
    {0, 0, 0xF, 7},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x10, 7},
    {0, 0, 0x11, 7},
    {0, 0, 0x12, 7},
    {0, 0, 0x13, 7},
    {0, 0, 0x14, 7},
    {0, 0, 0x15, 7},
    {0, 0, 0x16, 7},
    {0, 0, 0x17, 7},
    {0, 0, 0x18, 7},
    {0, 0, 0x19, 7},
    {0, 0, 0x1A, 7},
    {0, 0, 0x1B, 7},
    {0, 0, 0x1C, 7},
    {0, 0, 0x1D, 7},
    {0, 0, 0x1E, 7},
    {0, 0, 0x1F, 7},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x20, 7},
    {0, 0, 0x21, 7},
    {0, 0, 0x22, 7},
    {0, 0, 0x23, 7},
    {0, 0, 0x24, 7},
    {0, 0, 0x25, 7},
    {0, 0, 0x26, 7},
    {0, 0, 0x27, 7},
    {0, 0, 0x28, 7},
    {0, 0, 0x29, 7},
    {0, 0, 0x2A, 7},
    {0, 0, 0x2B, 7},
    {0, 0, 0x2C, 7},
    {0, 0, 0x2D, 7},
    {0, 0, 0x2E, 7},
    {0, 0, 0x2F, 7},
    {0, 0, 0x30, 7},
    {0, 0, 0x31, 7},
    {0, 0, 0x32, 7},
    {0, 0, 0x33, 7},
    {0, 0, 0x34, 7},
    {0, 0, 0x35, 7},
    {0, 0, 0x36, 7},
    {0, 0, 0x37, 7},
    {0, 0, 0x38, 7},
    {0, 0, 0x39, 7},
    {0, 0, 0x3A, 7},
    {0, 0, 0x3B, 7},
    {0, 0, 0x3C, 7},
    {0, 0, 0x3D, 7},
    {0, 0, 0x3E, 7},
    {0, 0, 0x3F, 7},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x40, 7},
    {0, 0, 0x41, 7},
    {0, 0, 0x42, 7},
    {0, 0, 0x43, 7},
    {0, 0, 0x44, 7},
    {0, 0, 0x45, 7},
    {0, 0, 0x46, 7},
    {0, 0, 0x47, 7},
    {0, 0, 0x48, 7},
    {0, 0, 0x49, 7},
    {0, 0, 0x4A, 7},
    {0, 0, 0x4B, 7},
    {0, 0, 0x4C, 7},
    {0, 0, 0x4D, 7},
    {0, 0, 0x4E, 7},
    {0, 0, 0x4F, 7},
    {0, 0, 0x50, 7},
    {0, 0, 0x51, 7},
    {0, 0, 0x52, 7},
    {0, 0, 0x53, 7},
    {0, 0, 0x54, 7},
    {0, 0, 0x55, 7},
    {0, 0, 0x56, 7},
    {0, 0, 0x57, 7},
    {0, 0, 0x58, 7},
    {0, 0, 0x59, 7},
    {0, 0, 0x5A, 7},
    {0, 0, 0x5B, 7},
    {0, 0, 0x5C, 7},
    {0, 0, 0x5D, 7},
    {0, 0, 0x5E, 7},
    {0, 0, 0x5F, 7},
    {0, 0, 0x60, 7},
    {0, 0, 0x61, 7},
    {0, 0, 0x62, 7},
    {0, 0, 0x63, 7},
    {0, 0, 0x64, 7},
    {0, 0, 0x65, 7},
    {0, 0, 0x66, 7},
    {0, 0, 0x67, 7},
    {0, 0, 0x68, 7},
    {0, 0, 0x69, 7},
    {0, 0, 0x6A, 7},
    {0, 0, 0x6B, 7},
    {0, 0, 0x6C, 7},
    {0, 0, 0x6D, 7},
    {0, 0, 0x6E, 7},
    {0, 0, 0x6F, 7},
    {0, 0, 0x70, 7},
    {0, 0, 0x71, 7},
    {0, 0, 0x72, 7},
    {0, 0, 0x73, 7},
    {0, 0, 0x74, 7},
    {0, 0, 0x75, 7},
    {0, 0, 0x76, 7},
    {0, 0, 0x77, 7},
    {0, 0, 0x78, 7},
    {0, 0, 0x79, 7},
    {0, 0, 0x7A, 7},
    {0, 0, 0x7B, 7},
    {0, 0, 0x7C, 7},
    {0, 0, 0x7D, 7},
    {0, 0, 0x7E, 7},
    {0, 0, 0x7F, 7},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x80, 7},
    {0, 0, 0x81, 7},
    {0, 0, 0x82, 7},
    {0, 0, 0x83, 7},
    {0, 0, 0x84, 7},
    {0, 0, 0x85, 7},
    {0, 0, 0x86, 7},
    {0, 0, 0x87, 7},
    {0, 0, 0x88, 7},
    {0, 0, 0x89, 7},
    {0, 0, 0x8A, 7},
    {0, 0, 0x8B, 7},
    {0, 0, 0x8C, 7},
    {0, 0, 0x8D, 7},
    {0, 0, 0x8E, 7},
    {0, 0, 0x8F, 7},
    {0, 0, 0x90, 7},
    {0, 0, 0x91, 7},
    {0, 0, 0x92, 7},
    {0, 0, 0x93, 7},
    {0, 0, 0x94, 7},
    {0, 0, 0x95, 7},
    {0, 0, 0x96, 7},
    {0, 0, 0x97, 7},
    {0, 0, 0x98, 7},
    {0, 0, 0x99, 7},
    {0, 0, 0x9A, 7},
    {0, 0, 0x9B, 7},
    {0, 0, 0x9C, 7},
    {0, 0, 0x9D, 7},
    {0, 0, 0x9E, 7},
    {0, 0, 0x9F, 7},
    {0, 0, 0xA0, 7},
    {0, 0, 0xA1, 7},
    {0, 0, 0xA2, 7},
    {0, 0, 0xA3, 7},
    {0, 0, 0xA4, 7},
    {0, 0, 0xA5, 7},
    {0, 0, 0xA6, 7},
    {0, 0, 0xA7, 7},
    {0, 0, 0xA8, 7},
    {0, 0, 0xA9, 7},
    {0, 0, 0xAA, 7},
    {0, 0, 0xAB, 7},
    {0, 0, 0xAC, 7},
    {0, 0, 0xAD, 7},
    {0, 0, 0xAE, 7},
    {0, 0, 0xAF, 7},
    {0, 0, 0xB0, 7},
    {0, 0, 0xB1, 7},
    {0, 0, 0xB2, 7},
    {0, 0, 0xB3, 7},
    {0, 0, 0xB4, 7},
    {0, 0, 0xB5, 7},
    {0, 0, 0xB6, 7},
    {0, 0, 0xB7, 7},
    {0, 0, 0xB8, 7},
    {0, 0, 0xB9, 7},
    {0, 0, 0xBA, 7},
    {0, 0, 0xBB, 7},
    {0, 0, 0xBC, 7},
    {0, 0, 0xBD, 7},
    {0, 0, 0xBE, 7},
    {0, 0, 0xBF, 7},
    {0, 0, 0xC0, 7},
    {0, 0, 0xC1, 7},
    {0, 0, 0xC2, 7},
    {0, 0, 0xC3, 7},
    {0, 0, 0xC4, 7},
    {0, 0, 0xC5, 7},
    {0, 0, 0xC6, 7},
    {0, 0, 0xC7, 7},
    {0, 0, 0xC8, 7},
    {0, 0, 0xC9, 7},
    {0, 0, 0xCA, 7},
    {0, 0, 0xCB, 7},
    {0, 0, 0xCC, 7},
    {0, 0, 0xCD, 7},
    {0, 0, 0xCE, 7},
    {0, 0, 0xCF, 7},
    {0, 0, 0xD0, 7},
    {0, 0, 0xD1, 7},
    {0, 0, 0xD2, 7},
    {0, 0, 0xD3, 7},
    {0, 0, 0xD4, 7},
    {0, 0, 0xD5, 7},
    {0, 0, 0xD6, 7},
    {0, 0, 0xD7, 7},
    {0, 0, 0xD8, 7},
    {0, 0, 0xD9, 7},
    {0, 0, 0xDA, 7},
    {0, 0, 0xDB, 7},
    {0, 0, 0xDC, 7},
    {0, 0, 0xDD, 7},
    {0, 0, 0xDE, 7},
    {0, 0, 0xDF, 7},
    {0, 0, 0xE0, 7},
    {0, 0, 0xE1, 7},
    {0, 0, 0xE2, 7},
    {0, 0, 0xE3, 7},
    {0, 0, 0xE4, 7},
    {0, 0, 0xE5, 7},
    {0, 0, 0xE6, 7},
    {0, 0, 0xE7, 7},
    {0, 0, 0xE8, 7},
    {0, 0, 0xE9, 7},
    {0, 0, 0xEA, 7},
    {0, 0, 0xEB, 7},
    {0, 0, 0xEC, 7},
    {0, 0, 0xED, 7},
    {0, 0, 0xEE, 7},
    {0, 0, 0xEF, 7},
    {0, 0, 0xF0, 7},
    {0, 0, 0xF1, 7},
    {0, 0, 0xF2, 7},
    {0, 0, 0xF3, 7},
    {0, 0, 0xF4, 7},
    {0, 0, 0xF5, 7},
    {0, 0, 0xF6, 7},
    {0, 0, 0xF7, 7},
    {0, 0, 0xF8, 7},
    {0, 0, 0xF9, 7},
    {0, 0, 0xFA, 7},
    {0, 0, 0xFB, 7},
    {0, 0, 0xFC, 7},
    {0, 0, 0xFD, 7},
    {0, 0, 0xFE, 7},
    {0, 0, 0xFF, 7},
    {0, 0, 0x40, 8},
    {0, 0, 0x41, 8},
    {0, 0, 0x42, 8},
    {0, 0, 0x43, 8},
    {0, 0, 0x44, 8},
    {0, 0, 0x45, 8},
    {0, 0, 0x46, 8},
    {0, 0, 0x47, 8},
    {0, 0, 0x48, 8},
    {0, 0, 0x49, 8},
    {0, 0, 0x4A, 8},
    {0, 0, 0x4B, 8},
    {0, 0, 0x4C, 8},
    {0, 0, 0x4D, 8},
    {0, 0, 0x4E, 8},
    {0, 0, 0x4F, 8},
    {0, 0, 0x50, 8},
    {0, 0, 0x51, 8},
    {0, 0, 0x52, 8},
    {0, 0, 0x53, 8},
    {0, 0, 0x54, 8},
    {0, 0, 0x55, 8},
    {0, 0, 0x56, 8},
    {0, 0, 0x57, 8},
    {0, 0, 0x58, 8},
    {0, 0, 0x59, 8},
    {0, 0, 0x5A, 8},
    {0, 0, 0x5B, 8},
    {0, 0, 0x5C, 8},
    {0, 0, 0x5D, 8},
    {0, 0, 0x5E, 8},
    {0, 0, 0x5F, 8},
    {0, 0, 0x60, 8},
    {0, 0, 0x61, 8},
    {0, 0, 0x62, 8},
    {0, 0, 0x63, 8},
    {0, 0, 0x64, 8},
    {0, 0, 0x65, 8},
    {0, 0, 0x66, 8},
    {0, 0, 0x67, 8},
    {0, 0, 0x68, 8},
    {0, 0, 0x69, 8},
    {0, 0, 0x6A, 8},
    {0, 0, 0x6B, 8},
    {0, 0, 0x6C, 8},
    {0, 0, 0x6D, 8},
    {0, 0, 0x6E, 8},
    {0, 0, 0x6F, 8},
    {0, 0, 0x70, 8},
    {0, 0, 0x71, 8},
    {0, 0, 0x72, 8},
    {0, 0, 0x73, 8},
    {0, 0, 0x74, 8},
    {0, 0, 0x75, 8},
    {0, 0, 0x76, 8},
    {0, 0, 0x77, 8},
    {0, 0, 0x78, 8},
    {0, 0, 0x79, 8},
    {0, 0, 0x7A, 8},
    {0, 0, 0x7B, 8},
    {0, 0, 0x7C, 8},
    {0, 0, 0x7D, 8},
    {0, 0, 0x7E, 8},
    {0, 0, 0x7F, 8},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1}
  },
  {
    {1, 0, 0x0, 0},
    {1, 0, 0x0, 0},
    {0, 0, 0x0, 8},
    {0, 0, 0x0, -1},
    {0, 0, 0x2, 8},
    {0, 0, 0x3, 8},
    {0, 0, 0x2, -1},
    {0, 0, 0x3, -1},
    {0, 0, 0x4, 8},
    {0, 0, 0x5, 8},
    {0, 0, 0x6, 8},
    {0, 0, 0x7, 8},
    {0, 0, 0x4, -1},
    {0, 0, 0x5, -1},
    {0, 0, 0x6, -1},
    {0, 0, 0x7, -1},
    {0, 0, 0x8, 8},
    {0, 0, 0x9, 8},
    {0, 0, 0xA, 8},
    {0, 0, 0xB, 8},
    {0, 0, 0xC, 8},
    {0, 0, 0xD, 8},
    {0, 0, 0xE, 8},
    {0, 0, 0xF, 8},
    {0, 0, 0x8, -1},
    {0, 0, 0x9, -1},
    {0, 0, 0xA, -1},
    {0, 0, 0xB, -1},
    {0, 0, 0xC, -1},
    {0, 0, 0xD, -1},
    {0, 0, 0xE, -1},
    {0, 0, 0xF, -1},
    {0, 0, 0x10, 8},
    {0, 0, 0x11, 8},
    {0, 0, 0x12, 8},
    {0, 0, 0x13, 8},
    {0, 0, 0x14, 8},
    {0, 0, 0x15, 8},
    {0, 0, 0x16, 8},
    {0, 0, 0x17, 8},
    {0, 0, 0x18, 8},
    {0, 0, 0x19, 8},
    {0, 0, 0x1A, 8},
    {0, 0, 0x1B, 8},
    {0, 0, 0x1C, 8},
    {0, 0, 0x1D, 8},
    {0, 0, 0x1E, 8},
    {0, 0, 0x1F, 8},
    {0, 0, 0x10, -1},
    {0, 0, 0x11, -1},
    {0, 0, 0x12, -1},
    {0, 0, 0x13, -1},
    {0, 0, 0x14, -1},
    {0, 0, 0x15, -1},
    {0, 0, 0x16, -1},
    {0, 0, 0x17, -1},
    {0, 0, 0x18, -1},
    {0, 0, 0x19, -1},
    {0, 0, 0x1A, -1},
    {0, 0, 0x1B, -1},
    {0, 0, 0x1C, -1},
    {0, 0, 0x1D, -1},
    {0, 0, 0x1E, -1},
    {0, 0, 0x1F, -1},
    {0, 0, 0x20, 8},
    {0, 0, 0x21, 8},
    {0, 0, 0x22, 8},
    {0, 0, 0x23, 8},
    {0, 0, 0x24, 8},
    {0, 0, 0x25, 8},
    {0, 0, 0x26, 8},
    {0, 0, 0x27, 8},
    {0, 0, 0x28, 8},
    {0, 0, 0x29, 8},
    {0, 0, 0x2A, 8},
    {0, 0, 0x2B, 8},
    {0, 0, 0x2C, 8},
    {0, 0, 0x2D, 8},
    {0, 0, 0x2E, 8},
    {0, 0, 0x2F, 8},
    {0, 0, 0x30, 8},
    {0, 0, 0x31, 8},
    {0, 0, 0x32, 8},
    {0, 0, 0x33, 8},
    {0, 0, 0x34, 8},
    {0, 0, 0x35, 8},
    {0, 0, 0x36, 8},
    {0, 0, 0x37, 8},
    {0, 0, 0x38, 8},
    {0, 0, 0x39, 8},
    {0, 0, 0x3A, 8},
    {0, 0, 0x3B, 8},
    {0, 0, 0x3C, 8},
    {0, 0, 0x3D, 8},
    {0, 0, 0x3E, 8},
    {0, 0, 0x3F, 8},
    {0, 0, 0x20, -1},
    {0, 0, 0x21, -1},
    {0, 0, 0x22, -1},
    {0, 0, 0x23, -1},
    {0, 0, 0x24, -1},
    {0, 0, 0x25, -1},
    {0, 0, 0x26, -1},
    {0, 0, 0x27, -1},
    {0, 0, 0x28, -1},
    {0, 0, 0x29, -1},
    {0, 0, 0x2A, -1},
    {0, 0, 0x2B, -1},
    {0, 0, 0x2C, -1},
    {0, 0, 0x2D, -1},
    {0, 0, 0x2E, -1},
    {0, 0, 0x2F, -1},
    {0, 0, 0x30, -1},
    {0, 0, 0x31, -1},
    {0, 0, 0x32, -1},
    {0, 0, 0x33, -1},
    {0, 0, 0x34, -1},
    {0, 0, 0x35, -1},
    {0, 0, 0x36, -1},
    {0, 0, 0x37, -1},
    {0, 0, 0x38, -1},
    {0, 0, 0x39, -1},
    {0, 0, 0x3A, -1},
    {0, 0, 0x3B, -1},
    {0, 0, 0x3C, -1},
    {0, 0, 0x3D, -1},
    {0, 0, 0x3E, -1},
    {0, 0, 0x3F, -1},
    {0, 0, 0x40, 8},
    {0, 0, 0x41, 8},
    {0, 0, 0x42, 8},
    {0, 0, 0x43, 8},
    {0, 0, 0x44, 8},
    {0, 0, 0x45, 8},
    {0, 0, 0x46, 8},
    {0, 0, 0x47, 8},
    {0, 0, 0x48, 8},
    {0, 0, 0x49, 8},
    {0, 0, 0x4A, 8},
    {0, 0, 0x4B, 8},
    {0, 0, 0x4C, 8},
    {0, 0, 0x4D, 8},
    {0, 0, 0x4E, 8},
    {0, 0, 0x4F, 8},
    {0, 0, 0x50, 8},
    {0, 0, 0x51, 8},
    {0, 0, 0x52, 8},
    {0, 0, 0x53, 8},
    {0, 0, 0x54, 8},
    {0, 0, 0x55, 8},
    {0, 0, 0x56, 8},
    {0, 0, 0x57, 8},
    {0, 0, 0x58, 8},
    {0, 0, 0x59, 8},
    {0, 0, 0x5A, 8},
    {0, 0, 0x5B, 8},
    {0, 0, 0x5C, 8},
    {0, 0, 0x5D, 8},
    {0, 0, 0x5E, 8},
    {0, 0, 0x5F, 8},
    {0, 0, 0x60, 8},
    {0, 0, 0x61, 8},
    {0, 0, 0x62, 8},
    {0, 0, 0x63, 8},
    {0, 0, 0x64, 8},
    {0, 0, 0x65, 8},
    {0, 0, 0x66, 8},
    {0, 0, 0x67, 8},
    {0, 0, 0x68, 8},
    {0, 0, 0x69, 8},
    {0, 0, 0x6A, 8},
    {0, 0, 0x6B, 8},
    {0, 0, 0x6C, 8},
    {0, 0, 0x6D, 8},
    {0, 0, 0x6E, 8},
    {0, 0, 0x6F, 8},
    {0, 0, 0x70, 8},
    {0, 0, 0x71, 8},
    {0, 0, 0x72, 8},
    {0, 0, 0x73, 8},
    {0, 0, 0x74, 8},
    {0, 0, 0x75, 8},
    {0, 0, 0x76, 8},
    {0, 0, 0x77, 8},
    {0, 0, 0x78, 8},
    {0, 0, 0x79, 8},
    {0, 0, 0x7A, 8},
    {0, 0, 0x7B, 8},
    {0, 0, 0x7C, 8},
    {0, 0, 0x7D, 8},
    {0, 0, 0x7E, 8},
    {0, 0, 0x7F, 8},
    {0, 0, 0x40, -1},
    {0, 0, 0x41, -1},
    {0, 0, 0x42, -1},
    {0, 0, 0x43, -1},
    {0, 0, 0x44, -1},
    {0, 0, 0x45, -1},
    {0, 0, 0x46, -1},
    {0, 0, 0x47, -1},
    {0, 0, 0x48, -1},
    {0, 0, 0x49, -1},
    {0, 0, 0x4A, -1},
    {0, 0, 0x4B, -1},
    {0, 0, 0x4C, -1},
    {0, 0, 0x4D, -1},
    {0, 0, 0x4E, -1},
    {0, 0, 0x4F, -1},
    {0, 0, 0x50, -1},
    {0, 0, 0x51, -1},
    {0, 0, 0x52, -1},
    {0, 0, 0x53, -1},
    {0, 0, 0x54, -1},
    {0, 0, 0x55, -1},
    {0, 0, 0x56, -1},
    {0, 0, 0x57, -1},
    {0, 0, 0x58, -1},
    {0, 0, 0x59, -1},
    {0, 0, 0x5A, -1},
    {0, 0, 0x5B, -1},
    {0, 0, 0x5C, -1},
    {0, 0, 0x5D, -1},
    {0, 0, 0x5E, -1},
    {0, 0, 0x5F, -1},
    {0, 0, 0x60, -1},
    {0, 0, 0x61, -1},
    {0, 0, 0x62, -1},
    {0, 0, 0x63, -1},
    {0, 0, 0x64, -1},
    {0, 0, 0x65, -1},
    {0, 0, 0x66, -1},
    {0, 0, 0x67, -1},
    {0, 0, 0x68, -1},
    {0, 0, 0x69, -1},
    {0, 0, 0x6A, -1},
    {0, 0, 0x6B, -1},
    {0, 0, 0x6C, -1},
    {0, 0, 0x6D, -1},
    {0, 0, 0x6E, -1},
    {0, 0, 0x6F, -1},
    {0, 0, 0x70, -1},
    {0, 0, 0x71, -1},
    {0, 0, 0x72, -1},
    {0, 0, 0x73, -1},
    {0, 0, 0x74, -1},
    {0, 0, 0x75, -1},
    {0, 0, 0x76, -1},
    {0, 0, 0x77, -1},
    {0, 0, 0x78, -1},
    {0, 0, 0x79, -1},
    {0, 0, 0x7A, -1},
    {0, 0, 0x7B, -1},
    {0, 0, 0x7C, -1},
    {0, 0, 0x7D, -1},
    {0, 0, 0x7E, -1},
    {0, 0, 0x7F, -1},
    {0, 0, 0x80, 8},
    {0, 0, 0x81, 8},
    {0, 0, 0x82, 8},
    {0, 0, 0x83, 8},
    {0, 0, 0x84, 8},
    {0, 0, 0x85, 8},
    {0, 0, 0x86, 8},
    {0, 0, 0x87, 8},
    {0, 0, 0x88, 8},
    {0, 0, 0x89, 8},
    {0, 0, 0x8A, 8},
    {0, 0, 0x8B, 8},
    {0, 0, 0x8C, 8},
    {0, 0, 0x8D, 8},
    {0, 0, 0x8E, 8},
    {0, 0, 0x8F, 8},
    {0, 0, 0x90, 8},
    {0, 0, 0x91, 8},
    {0, 0, 0x92, 8},
    {0, 0, 0x93, 8},
    {0, 0, 0x94, 8},
    {0, 0, 0x95, 8},
    {0, 0, 0x96, 8},
    {0, 0, 0x97, 8},
    {0, 0, 0x98, 8},
    {0, 0, 0x99, 8},
    {0, 0, 0x9A, 8},
    {0, 0, 0x9B, 8},
    {0, 0, 0x9C, 8},
    {0, 0, 0x9D, 8},
    {0, 0, 0x9E, 8},
    {0, 0, 0x9F, 8},
    {0, 0, 0xA0, 8},
    {0, 0, 0xA1, 8},
    {0, 0, 0xA2, 8},
    {0, 0, 0xA3, 8},
    {0, 0, 0xA4, 8},
    {0, 0, 0xA5, 8},
    {0, 0, 0xA6, 8},
    {0, 0, 0xA7, 8},
    {0, 0, 0xA8, 8},
    {0, 0, 0xA9, 8},
    {0, 0, 0xAA, 8},
    {0, 0, 0xAB, 8},
    {0, 0, 0xAC, 8},
    {0, 0, 0xAD, 8},
    {0, 0, 0xAE, 8},
    {0, 0, 0xAF, 8},
    {0, 0, 0xB0, 8},
    {0, 0, 0xB1, 8},
    {0, 0, 0xB2, 8},
    {0, 0, 0xB3, 8},
    {0, 0, 0xB4, 8},
    {0, 0, 0xB5, 8},
    {0, 0, 0xB6, 8},
    {0, 0, 0xB7, 8},
    {0, 0, 0xB8, 8},
    {0, 0, 0xB9, 8},
    {0, 0, 0xBA, 8},
    {0, 0, 0xBB, 8},
    {0, 0, 0xBC, 8},
    {0, 0, 0xBD, 8},
    {0, 0, 0xBE, 8},
    {0, 0, 0xBF, 8},
    {0, 0, 0xC0, 8},
    {0, 0, 0xC1, 8},
    {0, 0, 0xC2, 8},
    {0, 0, 0xC3, 8},
    {0, 0, 0xC4, 8},
    {0, 0, 0xC5, 8},
    {0, 0, 0xC6, 8},
    {0, 0, 0xC7, 8},
    {0, 0, 0xC8, 8},
    {0, 0, 0xC9, 8},
    {0, 0, 0xCA, 8},
    {0, 0, 0xCB, 8},
    {0, 0, 0xCC, 8},
    {0, 0, 0xCD, 8},
    {0, 0, 0xCE, 8},
    {0, 0, 0xCF, 8},
    {0, 0, 0xD0, 8},
    {0, 0, 0xD1, 8},
    {0, 0, 0xD2, 8},
    {0, 0, 0xD3, 8},
    {0, 0, 0xD4, 8},
    {0, 0, 0xD5, 8},
    {0, 0, 0xD6, 8},
    {0, 0, 0xD7, 8},
    {0, 0, 0xD8, 8},
    {0, 0, 0xD9, 8},
    {0, 0, 0xDA, 8},
    {0, 0, 0xDB, 8},
    {0, 0, 0xDC, 8},
    {0, 0, 0xDD, 8},
    {0, 0, 0xDE, 8},
    {0, 0, 0xDF, 8},
    {0, 0, 0xE0, 8},
    {0, 0, 0xE1, 8},
    {0, 0, 0xE2, 8},
    {0, 0, 0xE3, 8},
    {0, 0, 0xE4, 8},
    {0, 0, 0xE5, 8},
    {0, 0, 0xE6, 8},
    {0, 0, 0xE7, 8},
    {0, 0, 0xE8, 8},
    {0, 0, 0xE9, 8},
    {0, 0, 0xEA, 8},
    {0, 0, 0xEB, 8},
    {0, 0, 0xEC, 8},
    {0, 0, 0xED, 8},
    {0, 0, 0xEE, 8},
    {0, 0, 0xEF, 8},
    {0, 0, 0xF0, 8},
    {0, 0, 0xF1, 8},
    {0, 0, 0xF2, 8},
    {0, 0, 0xF3, 8},
    {0, 0, 0xF4, 8},
    {0, 0, 0xF5, 8},
    {0, 0, 0xF6, 8},
    {0, 0, 0xF7, 8},
    {0, 0, 0xF8, 8},
    {0, 0, 0xF9, 8},
    {0, 0, 0xFA, 8},
    {0, 0, 0xFB, 8},
    {0, 0, 0xFC, 8},
    {0, 0, 0xFD, 8},
    {0, 0, 0xFE, 8},
    {0, 0, 0xFF, 8},
    {0, 0, 0x80, -1},
    {0, 0, 0x81, -1},
    {0, 0, 0x82, -1},
    {0, 0, 0x83, -1},
    {0, 0, 0x84, -1},
    {0, 0, 0x85, -1},
    {0, 0, 0x86, -1},
    {0, 0, 0x87, -1},
    {0, 0, 0x88, -1},
    {0, 0, 0x89, -1},
    {0, 0, 0x8A, -1},
    {0, 0, 0x8B, -1},
    {0, 0, 0x8C, -1},
    {0, 0, 0x8D, -1},
    {0, 0, 0x8E, -1},
    {0, 0, 0x8F, -1},
    {0, 0, 0x90, -1},
    {0, 0, 0x91, -1},
    {0, 0, 0x92, -1},
    {0, 0, 0x93, -1},
    {0, 0, 0x94, -1},
    {0, 0, 0x95, -1},
    {0, 0, 0x96, -1},
    {0, 0, 0x97, -1},
    {0, 0, 0x98, -1},
    {0, 0, 0x99, -1},
    {0, 0, 0x9A, -1},
    {0, 0, 0x9B, -1},
    {0, 0, 0x9C, -1},
    {0, 0, 0x9D, -1},
    {0, 0, 0x9E, -1},
    {0, 0, 0x9F, -1},
    {0, 0, 0xA0, -1},
    {0, 0, 0xA1, -1},
    {0, 0, 0xA2, -1},
    {0, 0, 0xA3, -1},
    {0, 0, 0xA4, -1},
    {0, 0, 0xA5, -1},
    {0, 0, 0xA6, -1},
    {0, 0, 0xA7, -1},
    {0, 0, 0xA8, -1},
    {0, 0, 0xA9, -1},
    {0, 0, 0xAA, -1},
    {0, 0, 0xAB, -1},
    {0, 0, 0xAC, -1},
    {0, 0, 0xAD, -1},
    {0, 0, 0xAE, -1},
    {0, 0, 0xAF, -1},
    {0, 0, 0xB0, -1},
    {0, 0, 0xB1, -1},
    {0, 0, 0xB2, -1},
    {0, 0, 0xB3, -1},
    {0, 0, 0xB4, -1},
    {0, 0, 0xB5, -1},
    {0, 0, 0xB6, -1},
    {0, 0, 0xB7, -1},
    {0, 0, 0xB8, -1},
    {0, 0, 0xB9, -1},
    {0, 0, 0xBA, -1},
    {0, 0, 0xBB, -1},
    {0, 0, 0xBC, -1},
    {0, 0, 0xBD, -1},
    {0, 0, 0xBE, -1},
    {0, 0, 0xBF, -1},
    {0, 0, 0xC0, -1},
    {0, 0, 0xC1, -1},
    {0, 0, 0xC2, -1},
    {0, 0, 0xC3, -1},
    {0, 0, 0xC4, -1},
    {0, 0, 0xC5, -1},
    {0, 0, 0xC6, -1},
    {0, 0, 0xC7, -1},
    {0, 0, 0xC8, -1},
    {0, 0, 0xC9, -1},
    {0, 0, 0xCA, -1},
    {0, 0, 0xCB, -1},
    {0, 0, 0xCC, -1},
    {0, 0, 0xCD, -1},
    {0, 0, 0xCE, -1},
    {0, 0, 0xCF, -1},
    {0, 0, 0xD0, -1},
    {0, 0, 0xD1, -1},
    {0, 0, 0xD2, -1},
    {0, 0, 0xD3, -1},
    {0, 0, 0xD4, -1},
    {0, 0, 0xD5, -1},
    {0, 0, 0xD6, -1},
    {0, 0, 0xD7, -1},
    {0, 0, 0xD8, -1},
    {0, 0, 0xD9, -1},
    {0, 0, 0xDA, -1},
    {0, 0, 0xDB, -1},
    {0, 0, 0xDC, -1},
    {0, 0, 0xDD, -1},
    {0, 0, 0xDE, -1},
    {0, 0, 0xDF, -1},
    {0, 0, 0xE0, -1},
    {0, 0, 0xE1, -1},
    {0, 0, 0xE2, -1},
    {0, 0, 0xE3, -1},
    {0, 0, 0xE4, -1},
    {0, 0, 0xE5, -1},
    {0, 0, 0xE6, -1},
    {0, 0, 0xE7, -1},
    {0, 0, 0xE8, -1},
    {0, 0, 0xE9, -1},
    {0, 0, 0xEA, -1},
    {0, 0, 0xEB, -1},
    {0, 0, 0xEC, -1},
    {0, 0, 0xED, -1},
    {0, 0, 0xEE, -1},
    {0, 0, 0xEF, -1},
    {0, 0, 0xF0, -1},
    {0, 0, 0xF1, -1},
    {0, 0, 0xF2, -1},
    {0, 0, 0xF3, -1},
    {0, 0, 0xF4, -1},
    {0, 0, 0xF5, -1},
    {0, 0, 0xF6, -1},
    {0, 0, 0xF7, -1},
    {0, 0, 0xF8, -1},
    {0, 0, 0xF9, -1},
    {0, 0, 0xFA, -1},
    {0, 0, 0xFB, -1},
    {0, 0, 0xFC, -1},
    {0, 0, 0xFD, -1},
    {0, 0, 0xFE, -1},
    {0, 0, 0xFF, -1}
  }
}
